// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/base"
	model "LAPP_AS/models/base"
	"fmt"
	"github.com/go-xorm/xorm"
	"time"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToolUnAvailTimeLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToolUnAvailTimeLst的数据访问对象实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type ToolUnAvailTimeLstDAOImplement struct {
	session *xorm.Session
	meta    *grmi.Entity
	plantNr int
	userid  string
}

/******************************************************************************
 *
 * @Function Name            : NewToolUnAvailTimeLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ToolUnAvailTimeLstDAOImplement实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ToolUnAvailTimeLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewToolUnAvailTimeLstDAOImplement(session *xorm.Session, plantNr int, userid string) *ToolUnAvailTimeLstDAOImplement {
	return &ToolUnAvailTimeLstDAOImplement{session, &meta.ToolUnAvailTimeLst, plantNr, userid}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.InsertOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) InsertOne(entity *model.ToolUnAvailTimeLst) error {
	entity.PlantNr = impl.plantNr
	entity.LastUser = impl.userid
	_, err := impl.session.Table(impl.meta.TableName).Insert(entity)
	if err != nil {
		return grmi.NewDataBaseError(err)
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.DeleteOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) DeleteOne(toolId string, detailId string) error {
	_, err := impl.session.Table(impl.meta.TableName).ID(core.PK{impl.plantNr, toolId, detailId}).Delete(impl.meta.Indicator)
	if err != nil {
		return grmi.NewDataBaseError(err)
	}

	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.SelectOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) SelectOne(toolId string, detailId string) (*model.ToolUnAvailTimeLst, error) {
	var data model.ToolUnAvailTimeLst
	ok, err := impl.session.Table(impl.meta.TableName).ID(core.PK{impl.plantNr, toolId, detailId}).Get(&data)
	if err != nil {
		return nil, grmi.NewDataBaseError(err)
	}
	if !ok {
		return nil, nil
	}
	return &data, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.UpdateOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) UpdateOne(entity *model.ToolUnAvailTimeLst) error {
	entity.PlantNr = impl.plantNr
	entity.LastUser = impl.userid
	_, err := impl.session.Table(impl.meta.TableName).Cols(impl.meta.UpdatingMembers...).ID(entity.GetKey()).Update(entity)
	if err != nil {
		return grmi.NewDataBaseError(err)
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.Insert
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) Insert(entities *[]model.ToolUnAvailTimeLst) error {
	for i := 0; i < len(*entities); i++ {
		entity := &(*entities)[i]
		entity.PlantNr = impl.plantNr
		entity.LastUser = impl.userid
	}
	_, err := impl.session.Table(impl.meta.TableName).Insert(entities)
	if err != nil {
		return grmi.NewDataBaseError(err)
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.Delete
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) Delete(entities *[]model.ToolUnAvailTimeLst) error {
	for _, entity := range *entities {
		entity.PlantNr = impl.plantNr
		_, err := impl.session.Table(impl.meta.TableName).ID(entity.GetKey()).Delete(impl.meta.Indicator)
		if err != nil {
			return grmi.NewDataBaseError(err)
		}
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.DeleteWhere
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) DeleteWhere(predicates []grmi.Predicate) error {

	parameters := []interface{}{impl.plantNr}
	where := fmt.Sprintf("%s = ?", meta.ToolUnAvailTimeLst_PlantNr.ColumnName)

	session := impl.session.Table(impl.meta.TableName)
	if predicates != nil {
		for _, predicate := range predicates {
			where += predicate.Build()
			parameters = append(parameters, predicate.Values...)
		}
		session = session.Where(where, parameters...)
	} else {
		session = session.Where(where, parameters...)
	}

	_, err := session.Delete(impl.meta.Indicator)
	if err != nil {
		return grmi.NewDataBaseError(err)
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.Select
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ToolUnAvailTimeLst, error) {

	parameters := []interface{}{impl.plantNr}
	where := fmt.Sprintf("%s = ?", meta.ToolUnAvailTimeLst_PlantNr.ColumnName)

	session := impl.session.Table(impl.meta.TableName)
	if predicates != nil {
		for _, predicate := range predicates {
			where += predicate.Build()
			parameters = append(parameters, predicate.Values...)
		}
		session = session.Where(where, parameters...)
	} else {
		session = session.Where(where, parameters...)
	}

	session = session.OrderBy(meta.ToolUnAvailTimeLst_PlantNr.ColumnName)
	if orderByFields != nil {
		for _, field := range orderByFields {
			session = session.OrderBy(field.ColumnName)
		}
	}

	data := make([]model.ToolUnAvailTimeLst, 0, 10)
	err := session.Find(&data)
	if err != nil {
		return nil, grmi.NewDataBaseError(err)
	}
	return data, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error) {

	parameters := []interface{}{impl.plantNr}
	where := fmt.Sprintf("%s = ?", meta.ToolUnAvailTimeLst_PlantNr.ColumnName)

	session := impl.session.Table(impl.meta.TableName)
	if predicates != nil {
		for _, predicate := range predicates {
			where += predicate.Build()
			parameters = append(parameters, predicate.Values...)
		}
		session = session.Where(where, parameters...)
	} else {
		session = session.Where(where, parameters...)
	}

	count, err := session.Count(impl.meta.Indicator)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}

	orderBy := " order by " + meta.ToolUnAvailTimeLst_PlantNr.ColumnName
	if orderByFields != nil {
		for _, field := range orderByFields {
			if orderBy == " order by " {
				orderBy += field.ColumnName
			} else {
				orderBy += ", " + field.ColumnName
			}
		}
	}
	parameters = append(parameters, paging.Offset(), paging.Size)
	data := make([]model.ToolUnAvailTimeLst, 0, 10)
	where = " where " + where
	err = impl.session.Table(impl.meta.TableName).SQL("select * from ["+impl.meta.TableName+"]"+where+orderBy+" offset ? row fetch next ? row only", parameters...).Find(&data)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return grmi.PagingResult{Records: data, Count: count, PageNumber: paging.Number, PageSize: paging.Size}, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.Update
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) Update(entities *[]model.ToolUnAvailTimeLst) error {
	for i := 0; i < len(*entities); i++ {
		entity := &(*entities)[i]
		entity.PlantNr = impl.plantNr
		entity.LastUser = impl.userid
		_, err := impl.session.Table(impl.meta.TableName).Cols(impl.meta.UpdatingMembers...).ID(entity.GetKey()).Update(entity)
		if err != nil {
			return grmi.NewDataBaseError(err)
		}
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.UpdateWhere
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) UpdateWhere(predicates []grmi.Predicate, entity *model.ToolUnAvailTimeLst, columns ...string) error {

	parameters := []interface{}{impl.plantNr}
	where := fmt.Sprintf("%s = ?", meta.ToolUnAvailTimeLst_PlantNr.ColumnName)

	session := impl.session.Table(impl.meta.TableName)
	if predicates != nil {
		for _, predicate := range predicates {
			where += predicate.Build()
			parameters = append(parameters, predicate.Values...)
		}
		session = session.Where(where, parameters...)
	} else {
		session = session.Where(where, parameters...)
	}

	columns = append(columns, meta.ToolUnAvailTimeLst_LastUser.ColumnName)
	entity.LastUser = impl.userid
	_, err := impl.session.Table(impl.meta.TableName).Cols(columns...).Update(entity)
	if err != nil {
		return grmi.NewDataBaseError(err)
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/dao/base/ToolUnAvailTimeLstDAO.GetUnAvailTime
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstDAOImplement) GetUnAvailTime(starttime, endtime time.Time) (datalst []model.ToolUnAvailTimeLst, err error){
	session := impl.session.Table(impl.meta.TableName)
	if err = session.Where("PlantNr = ? and BegTime >= ? and BegTime <= ?",
		impl.plantNr, starttime, endtime).Or("PlantNr = ? and EndTime >= ? and EndTime <= ?",
		impl.plantNr, starttime, endtime).Asc("ToolId","BegTime").Find(&datalst); err != nil{
		return
	}
	return
}
