// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	model "LAPP_AS/models/base"
)

/******************************************************************************
 *
 * @Description              : Customer的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
var Customer_PlantNr = grmi.NewField("PlantNr", "[Customer].PlantNr", "plantnr", grmi.TypeInt)
var Customer_CustomerId = grmi.NewField("CustomerId", "[Customer].CustomerId", "customerid", grmi.TypeString)
var Customer_Name1 = grmi.NewField("Name1", "[Customer].Name1", "name1", grmi.TypeString)
var Customer_Name2 = grmi.NewField("Name2", "[Customer].Name2", "name2", grmi.TypeString)
var Customer_CustomerType = grmi.NewField("CustomerType", "[Customer].CustomerType", "customertype", grmi.TypeString)
var Customer_DemandModelId = grmi.NewField("DemandModelId", "[Customer].DemandModelId", "demandmodelid", grmi.TypeString)
var Customer_ToleranceModelId = grmi.NewField("ToleranceModelId", "[Customer].ToleranceModelId", "tolerancemodelid", grmi.TypeString)
var Customer_ValidStartDate = grmi.NewField("ValidStartDate", "[Customer].ValidStartDate", "validstartdate", grmi.TypeDate)
var Customer_Country = grmi.NewField("Country", "[Customer].Country", "country", grmi.TypeString)
var Customer_City = grmi.NewField("City", "[Customer].City", "city", grmi.TypeString)
var Customer_District = grmi.NewField("District", "[Customer].District", "district", grmi.TypeString)
var Customer_Street = grmi.NewField("Street", "[Customer].Street", "street", grmi.TypeString)
var Customer_Location = grmi.NewField("Location", "[Customer].Location", "location", grmi.TypeString)
var Customer_PostCode = grmi.NewField("PostCode", "[Customer].PostCode", "postcode", grmi.TypeString)
var Customer_Phone = grmi.NewField("Phone", "[Customer].Phone", "phone", grmi.TypeString)
var Customer_Mobile = grmi.NewField("Mobile", "[Customer].Mobile", "mobile", grmi.TypeString)
var Customer_Fax = grmi.NewField("Fax", "[Customer].Fax", "fax", grmi.TypeString)
var Customer_Email1 = grmi.NewField("Email1", "[Customer].Email1", "email1", grmi.TypeString)
var Customer_Email2 = grmi.NewField("Email2", "[Customer].Email2", "email2", grmi.TypeString)
var Customer_ContactPerson = grmi.NewField("ContactPerson", "[Customer].ContactPerson", "contactperson", grmi.TypeString)
var Customer_PersonTitle = grmi.NewField("PersonTitle", "[Customer].PersonTitle", "persontitle", grmi.TypeString)
var Customer_ContactAddress = grmi.NewField("ContactAddress", "[Customer].ContactAddress", "contactaddress", grmi.TypeString)
var Customer_Account = grmi.NewField("Account", "[Customer].Account", "account", grmi.TypeInt)
var Customer_TaxRate = grmi.NewField("TaxRate", "[Customer].TaxRate", "taxrate", grmi.TypeString)
var Customer_Status = grmi.NewField("Status", "[Customer].Status", "status", grmi.TypeInt)
var Customer_CtrlPara1 = grmi.NewField("CtrlPara1", "[Customer].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var Customer_CtrlPara2 = grmi.NewField("CtrlPara2", "[Customer].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var Customer_CtrlStr1 = grmi.NewField("CtrlStr1", "[Customer].CtrlStr1", "ctrlstr1", grmi.TypeString)
var Customer_CtrlStr2 = grmi.NewField("CtrlStr2", "[Customer].CtrlStr2", "ctrlstr2", grmi.TypeString)
var Customer_CtrlTime1 = grmi.NewField("CtrlTime1", "[Customer].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var Customer_CtrlTime2 = grmi.NewField("CtrlTime2", "[Customer].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var Customer_LastModify = grmi.NewField("LastModify", "[Customer].LastModify", "lastmodify", grmi.TypeDateTime)
var Customer_LastUser = grmi.NewField("LastUser", "[Customer].LastUser", "lastuser", grmi.TypeString)
var Customer_CreateTime = grmi.NewField("CreateTime", "[Customer].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Customer的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
var Customer = grmi.NewEntity(
	"Customer",
	func() interface{} { return &model.Customer{} },
	map[string]grmi.Field{
		Customer_PlantNr.Name:          Customer_PlantNr,
		Customer_CustomerId.Name:       Customer_CustomerId,
		Customer_Name1.Name:            Customer_Name1,
		Customer_Name2.Name:            Customer_Name2,
		Customer_CustomerType.Name:     Customer_CustomerType,
		Customer_DemandModelId.Name:    Customer_DemandModelId,
		Customer_ToleranceModelId.Name: Customer_ToleranceModelId,
		Customer_ValidStartDate.Name:   Customer_ValidStartDate,
		Customer_Country.Name:          Customer_Country,
		Customer_City.Name:             Customer_City,
		Customer_District.Name:         Customer_District,
		Customer_Street.Name:           Customer_Street,
		Customer_Location.Name:         Customer_Location,
		Customer_PostCode.Name:         Customer_PostCode,
		Customer_Phone.Name:            Customer_Phone,
		Customer_Mobile.Name:           Customer_Mobile,
		Customer_Fax.Name:              Customer_Fax,
		Customer_Email1.Name:           Customer_Email1,
		Customer_Email2.Name:           Customer_Email2,
		Customer_ContactPerson.Name:    Customer_ContactPerson,
		Customer_PersonTitle.Name:      Customer_PersonTitle,
		Customer_ContactAddress.Name:   Customer_ContactAddress,
		Customer_Account.Name:          Customer_Account,
		Customer_TaxRate.Name:          Customer_TaxRate,
		Customer_Status.Name:           Customer_Status,
		Customer_CtrlPara1.Name:        Customer_CtrlPara1,
		Customer_CtrlPara2.Name:        Customer_CtrlPara2,
		Customer_CtrlStr1.Name:         Customer_CtrlStr1,
		Customer_CtrlStr2.Name:         Customer_CtrlStr2,
		Customer_CtrlTime1.Name:        Customer_CtrlTime1,
		Customer_CtrlTime2.Name:        Customer_CtrlTime2,
		Customer_LastModify.Name:       Customer_LastModify,
		Customer_LastUser.Name:         Customer_LastUser,
		Customer_CreateTime.Name:       Customer_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Name1", "Name2", "CustomerType", "DemandModelId", "ToleranceModelId", "ValidStartDate", "Country", "City", "District", "Street", "Location", "PostCode", "Phone", "Mobile", "Fax", "Email1", "Email2", "ContactPerson", "PersonTitle", "ContactAddress", "Account", "TaxRate", "Status", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
