// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	model "LAPP_AS/models/base"
)

/******************************************************************************
 *
 * @Description              : SecondaryResource的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var SecondaryResource_PlantNr = grmi.NewField("PlantNr", "[SecondaryResource].PlantNr", "plantnr", grmi.TypeInt)
var SecondaryResource_ResourceId = grmi.NewField("ResourceId", "[SecondaryResource].ResourceId", "resourceid", grmi.TypeString)
var SecondaryResource_Descr = grmi.NewField("Descr", "[SecondaryResource].Descr", "descr", grmi.TypeString)
var SecondaryResource_ResourceType = grmi.NewField("ResourceType", "[SecondaryResource].ResourceType", "resourcetype", grmi.TypeString)
var SecondaryResource_CapacityType = grmi.NewField("CapacityType", "[SecondaryResource].CapacityType", "capacitytype", grmi.TypeString)
var SecondaryResource_CapacityFactor = grmi.NewField("CapacityFactor", "[SecondaryResource].CapacityFactor", "capacityfactor", grmi.TypeFloat64)
var SecondaryResource_PlanEfficiency = grmi.NewField("PlanEfficiency", "[SecondaryResource].PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var SecondaryResource_CostRate = grmi.NewField("CostRate", "[SecondaryResource].CostRate", "costrate", grmi.TypeFloat64)
var SecondaryResource_WeekModelNr = grmi.NewField("WeekModelNr", "[SecondaryResource].WeekModelNr", "weekmodelnr", grmi.TypeInt)
var SecondaryResource_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "[SecondaryResource].WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var SecondaryResource_CostCenterId = grmi.NewField("CostCenterId", "[SecondaryResource].CostCenterId", "costcenterid", grmi.TypeString)
var SecondaryResource_LocationId = grmi.NewField("LocationId", "[SecondaryResource].LocationId", "locationid", grmi.TypeString)
var SecondaryResource_LastModify = grmi.NewField("LastModify", "[SecondaryResource].LastModify", "lastmodify", grmi.TypeDateTime)
var SecondaryResource_LastUser = grmi.NewField("LastUser", "[SecondaryResource].LastUser", "lastuser", grmi.TypeString)
var SecondaryResource_CreateTime = grmi.NewField("CreateTime", "[SecondaryResource].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SecondaryResource的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var SecondaryResource = grmi.NewEntity(
	"SecondaryResource",
	func() interface{} { return &model.SecondaryResource{} },
	map[string]grmi.Field{
		SecondaryResource_PlantNr.Name:        SecondaryResource_PlantNr,
		SecondaryResource_ResourceId.Name:     SecondaryResource_ResourceId,
		SecondaryResource_Descr.Name:          SecondaryResource_Descr,
		SecondaryResource_ResourceType.Name:   SecondaryResource_ResourceType,
		SecondaryResource_CapacityType.Name:   SecondaryResource_CapacityType,
		SecondaryResource_CapacityFactor.Name: SecondaryResource_CapacityFactor,
		SecondaryResource_PlanEfficiency.Name: SecondaryResource_PlanEfficiency,
		SecondaryResource_CostRate.Name:       SecondaryResource_CostRate,
		SecondaryResource_WeekModelNr.Name:    SecondaryResource_WeekModelNr,
		SecondaryResource_WorkCalendarNr.Name: SecondaryResource_WorkCalendarNr,
		SecondaryResource_CostCenterId.Name:   SecondaryResource_CostCenterId,
		SecondaryResource_LocationId.Name:     SecondaryResource_LocationId,
		SecondaryResource_LastModify.Name:     SecondaryResource_LastModify,
		SecondaryResource_LastUser.Name:       SecondaryResource_LastUser,
		SecondaryResource_CreateTime.Name:     SecondaryResource_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "ResourceType", "CapacityType", "CapacityFactor", "PlanEfficiency", "CostRate", "WeekModelNr", "WorkCalendarNr", "CostCenterId", "LocationId", "LastUser"})
