// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	model "LAPP_AS/models/base"
)

/******************************************************************************
 *
 * @Description              : Tool的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var Tool_PlantNr = grmi.NewField("PlantNr", "[Tool].PlantNr", "plantnr", grmi.TypeInt)
var Tool_ToolId = grmi.NewField("ToolId", "[Tool].ToolId", "toolid", grmi.TypeString)
var Tool_ToolGrpId = grmi.NewField("ToolGrpId", "[Tool].ToolGrpId", "toolgrpid", grmi.TypeString)
var Tool_Descr = grmi.NewField("Descr", "[Tool].Descr", "descr", grmi.TypeString)
var Tool_ProjectId = grmi.NewField("ProjectId", "[Tool].ProjectId", "projectid", grmi.TypeString)
var Tool_Status = grmi.NewField("Status", "[Tool].Status", "status", grmi.TypeInt)
var Tool_AvailQty = grmi.NewField("AvailQty", "[Tool].AvailQty", "availqty", grmi.TypeInt)
var Tool_ToolType = grmi.NewField("ToolType", "[Tool].ToolType", "tooltype", grmi.TypeString)
var Tool_AlternativeToolId = grmi.NewField("AlternativeToolId", "[Tool].AlternativeToolId", "alternativetoolid", grmi.TypeString)
var Tool_FrozenToggle = grmi.NewField("FrozenToggle", "[Tool].FrozenToggle", "frozentoggle", grmi.TypeBool)
var Tool_Icon = grmi.NewField("Icon", "[Tool].Icon", "icon", grmi.TypeString)
var Tool_Document = grmi.NewField("Document", "[Tool].Document", "document", grmi.TypeString)
var Tool_CostRate = grmi.NewField("CostRate", "[Tool].CostRate", "costrate", grmi.TypeFloat64)
var Tool_CostCenterId = grmi.NewField("CostCenterId", "[Tool].CostCenterId", "costcenterid", grmi.TypeString)
var Tool_LocationId = grmi.NewField("LocationId", "[Tool].LocationId", "locationid", grmi.TypeString)
var Tool_Manufacturer = grmi.NewField("Manufacturer", "[Tool].Manufacturer", "manufacturer", grmi.TypeString)
var Tool_ManufactureDate = grmi.NewField("ManufactureDate", "[Tool].ManufactureDate", "manufacturedate", grmi.TypeDate)
var Tool_MaintenanceWay = grmi.NewField("MaintenanceWay", "[Tool].MaintenanceWay", "maintenanceway", grmi.TypeString)
var Tool_LastMaintenanceDate = grmi.NewField("LastMaintenanceDate", "[Tool].LastMaintenanceDate", "lastmaintenancedate", grmi.TypeDate)
var Tool_MaintenanceCtrlValue = grmi.NewField("MaintenanceCtrlValue", "[Tool].MaintenanceCtrlValue", "maintenancectrlvalue", grmi.TypeInt)
var Tool_LastMaintenanceCtrlValue = grmi.NewField("LastMaintenanceCtrlValue", "[Tool].LastMaintenanceCtrlValue", "lastmaintenancectrlvalue", grmi.TypeInt)
var Tool_ExperationWay = grmi.NewField("ExperationWay", "[Tool].ExperationWay", "experationway", grmi.TypeString)
var Tool_ExperationDate = grmi.NewField("ExperationDate", "[Tool].ExperationDate", "experationdate", grmi.TypeDate)
var Tool_ExperationCtrlValue = grmi.NewField("ExperationCtrlValue", "[Tool].ExperationCtrlValue", "experationctrlvalue", grmi.TypeInt)
var Tool_LastExperationCtrlValue = grmi.NewField("LastExperationCtrlValue", "[Tool].LastExperationCtrlValue", "lastexperationctrlvalue", grmi.TypeInt)
var Tool_LastModify = grmi.NewField("LastModify", "[Tool].LastModify", "lastmodify", grmi.TypeDateTime)
var Tool_LastUser = grmi.NewField("LastUser", "[Tool].LastUser", "lastuser", grmi.TypeString)
var Tool_CreateTime = grmi.NewField("CreateTime", "[Tool].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Tool的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var Tool = grmi.NewEntity(
	"Tool",
	func() interface{} { return &model.Tool{} },
	map[string]grmi.Field{
		Tool_PlantNr.Name:                  Tool_PlantNr,
		Tool_ToolId.Name:                   Tool_ToolId,
		Tool_ToolGrpId.Name:                Tool_ToolGrpId,
		Tool_Descr.Name:                    Tool_Descr,
		Tool_ProjectId.Name:                Tool_ProjectId,
		Tool_Status.Name:                   Tool_Status,
		Tool_AvailQty.Name:                 Tool_AvailQty,
		Tool_ToolType.Name:                 Tool_ToolType,
		Tool_AlternativeToolId.Name:        Tool_AlternativeToolId,
		Tool_FrozenToggle.Name:             Tool_FrozenToggle,
		Tool_Icon.Name:                     Tool_Icon,
		Tool_Document.Name:                 Tool_Document,
		Tool_CostRate.Name:                 Tool_CostRate,
		Tool_CostCenterId.Name:             Tool_CostCenterId,
		Tool_LocationId.Name:               Tool_LocationId,
		Tool_Manufacturer.Name:             Tool_Manufacturer,
		Tool_ManufactureDate.Name:          Tool_ManufactureDate,
		Tool_MaintenanceWay.Name:           Tool_MaintenanceWay,
		Tool_LastMaintenanceDate.Name:      Tool_LastMaintenanceDate,
		Tool_MaintenanceCtrlValue.Name:     Tool_MaintenanceCtrlValue,
		Tool_LastMaintenanceCtrlValue.Name: Tool_LastMaintenanceCtrlValue,
		Tool_ExperationWay.Name:            Tool_ExperationWay,
		Tool_ExperationDate.Name:           Tool_ExperationDate,
		Tool_ExperationCtrlValue.Name:      Tool_ExperationCtrlValue,
		Tool_LastExperationCtrlValue.Name:  Tool_LastExperationCtrlValue,
		Tool_LastModify.Name:               Tool_LastModify,
		Tool_LastUser.Name:                 Tool_LastUser,
		Tool_CreateTime.Name:               Tool_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ToolGrpId", "Descr", "ProjectId", "Status", "AvailQty", "ToolType", "AlternativeToolId", "FrozenToggle", "Icon", "Document", "CostRate", "CostCenterId", "LocationId", "Manufacturer", "ManufactureDate", "MaintenanceWay", "LastMaintenanceDate", "MaintenanceCtrlValue", "LastMaintenanceCtrlValue", "ExperationWay", "ExperationDate", "ExperationCtrlValue", "LastExperationCtrlValue", "LastUser"})
