// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : OrderNetWork的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var OrderNetWork_PlantNr = grmi.NewField("PlantNr", "[OM_OrderNetWork].PlantNr", "plantnr", grmi.TypeInt)
var OrderNetWork_WorkOrderId = grmi.NewField("WorkOrderId", "[OM_OrderNetWork].WorkOrderId", "workorderid", grmi.TypeString)
var OrderNetWork_OperationNr = grmi.NewField("OperationNr", "[OM_OrderNetWork].OperationNr", "operationnr", grmi.TypeInt)
var OrderNetWork_SplitNr = grmi.NewField("SplitNr", "[OM_OrderNetWork].SplitNr", "splitnr", grmi.TypeInt)
var OrderNetWork_PrevWorkOrderId = grmi.NewField("PrevWorkOrderId", "[OM_OrderNetWork].PrevWorkOrderId", "prevworkorderid", grmi.TypeString)
var OrderNetWork_PrevOperationNr = grmi.NewField("PrevOperationNr", "[OM_OrderNetWork].PrevOperationNr", "prevoperationnr", grmi.TypeInt)
var OrderNetWork_PrevSplitNr = grmi.NewField("PrevSplitNr", "[OM_OrderNetWork].PrevSplitNr", "prevsplitnr", grmi.TypeInt)
var OrderNetWork_Qty = grmi.NewField("Qty", "[OM_OrderNetWork].Qty", "qty", grmi.TypeFloat64)
var OrderNetWork_PrevQty = grmi.NewField("PrevQty", "[OM_OrderNetWork].PrevQty", "prevqty", grmi.TypeFloat64)
var OrderNetWork_SetupDuration = grmi.NewField("SetupDuration", "[OM_OrderNetWork].SetupDuration", "setupduration", grmi.TypeFloat64)
var OrderNetWork_DurationUomId = grmi.NewField("DurationUomId", "[OM_OrderNetWork].DurationUomId", "durationuomid", grmi.TypeString)
var OrderNetWork_ProjectId = grmi.NewField("ProjectId", "[OM_OrderNetWork].ProjectId", "projectid", grmi.TypeString)
var OrderNetWork_IsCriticalPathToggle = grmi.NewField("IsCriticalPathToggle", "[OM_OrderNetWork].IsCriticalPathToggle", "iscriticalpathtoggle", grmi.TypeBool)
var OrderNetWork_CtrlPara1 = grmi.NewField("CtrlPara1", "[OM_OrderNetWork].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var OrderNetWork_CtrlPara2 = grmi.NewField("CtrlPara2", "[OM_OrderNetWork].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var OrderNetWork_CtrlStr1 = grmi.NewField("CtrlStr1", "[OM_OrderNetWork].CtrlStr1", "ctrlstr1", grmi.TypeString)
var OrderNetWork_CtrlStr2 = grmi.NewField("CtrlStr2", "[OM_OrderNetWork].CtrlStr2", "ctrlstr2", grmi.TypeString)
var OrderNetWork_LastModify = grmi.NewField("LastModify", "[OM_OrderNetWork].LastModify", "lastmodify", grmi.TypeDateTime)
var OrderNetWork_LastUser = grmi.NewField("LastUser", "[OM_OrderNetWork].LastUser", "lastuser", grmi.TypeString)
var OrderNetWork_CreateTime = grmi.NewField("CreateTime", "[OM_OrderNetWork].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OrderNetWork的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var OrderNetWork = grmi.NewEntity(
	"OM_OrderNetWork",
	func() interface{} { return &model.OrderNetWork{} },
	map[string]grmi.Field{
		OrderNetWork_PlantNr.Name:              OrderNetWork_PlantNr,
		OrderNetWork_WorkOrderId.Name:          OrderNetWork_WorkOrderId,
		OrderNetWork_OperationNr.Name:          OrderNetWork_OperationNr,
		OrderNetWork_SplitNr.Name:              OrderNetWork_SplitNr,
		OrderNetWork_PrevWorkOrderId.Name:      OrderNetWork_PrevWorkOrderId,
		OrderNetWork_PrevOperationNr.Name:      OrderNetWork_PrevOperationNr,
		OrderNetWork_PrevSplitNr.Name:          OrderNetWork_PrevSplitNr,
		OrderNetWork_Qty.Name:                  OrderNetWork_Qty,
		OrderNetWork_PrevQty.Name:              OrderNetWork_PrevQty,
		OrderNetWork_SetupDuration.Name:        OrderNetWork_SetupDuration,
		OrderNetWork_DurationUomId.Name:        OrderNetWork_DurationUomId,
		OrderNetWork_ProjectId.Name:            OrderNetWork_ProjectId,
		OrderNetWork_IsCriticalPathToggle.Name: OrderNetWork_IsCriticalPathToggle,
		OrderNetWork_CtrlPara1.Name:            OrderNetWork_CtrlPara1,
		OrderNetWork_CtrlPara2.Name:            OrderNetWork_CtrlPara2,
		OrderNetWork_CtrlStr1.Name:             OrderNetWork_CtrlStr1,
		OrderNetWork_CtrlStr2.Name:             OrderNetWork_CtrlStr2,
		OrderNetWork_LastModify.Name:           OrderNetWork_LastModify,
		OrderNetWork_LastUser.Name:             OrderNetWork_LastUser,
		OrderNetWork_CreateTime.Name:           OrderNetWork_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Qty", "PrevQty", "SetupDuration", "DurationUomId", "ProjectId", "IsCriticalPathToggle", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "LastUser"})
