// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_AS/grmi"
	model "LAPP_AS/models/wm"
)

/******************************************************************************
 *
 * @Description              : Stock的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var Stock_PlantNr = grmi.NewField("PlantNr", "[WM_Stock].PlantNr", "plantnr", grmi.TypeInt)
var Stock_ArtId = grmi.NewField("ArtId", "[WM_Stock].ArtId", "artid", grmi.TypeString)
var Stock_WarehouseNr = grmi.NewField("WarehouseNr", "[WM_Stock].WarehouseNr", "warehousenr", grmi.TypeInt)
var Stock_Status = grmi.NewField("Status", "[WM_Stock].Status", "status", grmi.TypeInt)
var Stock_ActStock = grmi.NewField("ActStock", "[WM_Stock].ActStock", "actstock", grmi.TypeFloat64)
var Stock_PlanStock = grmi.NewField("PlanStock", "[WM_Stock].PlanStock", "planstock", grmi.TypeFloat64)
var Stock_ReservedStock = grmi.NewField("ReservedStock", "[WM_Stock].ReservedStock", "reservedstock", grmi.TypeFloat64)
var Stock_AvailableStock = grmi.NewField("AvailableStock", "[WM_Stock].AvailableStock", "availablestock", grmi.TypeFloat64)
var Stock_CalculatedReorderPoint = grmi.NewField("CalculatedReorderPoint", "[WM_Stock].CalculatedReorderPoint", "calculatedreorderpoint", grmi.TypeFloat64)
var Stock_ManualOrderPoint = grmi.NewField("ManualOrderPoint", "[WM_Stock].ManualOrderPoint", "manualorderpoint", grmi.TypeFloat64)
var Stock_CalculatedOptimumBatchSize = grmi.NewField("CalculatedOptimumBatchSize", "[WM_Stock].CalculatedOptimumBatchSize", "calculatedoptimumbatchsize", grmi.TypeFloat64)
var Stock_ManualOptimumLotSize = grmi.NewField("ManualOptimumLotSize", "[WM_Stock].ManualOptimumLotSize", "manualoptimumlotsize", grmi.TypeFloat64)
var Stock_ManualOrderDate = grmi.NewField("ManualOrderDate", "[WM_Stock].ManualOrderDate", "manualorderdate", grmi.TypeDateTime)
var Stock_MainController = grmi.NewField("MainController", "[WM_Stock].MainController", "maincontroller", grmi.TypeString)
var Stock_ProdArtId = grmi.NewField("ProdArtId", "[WM_Stock].ProdArtId", "prodartid", grmi.TypeString)
var Stock_ABCClass = grmi.NewField("ABCClass", "[WM_Stock].ABCClass", "abcclass", grmi.TypeString)
var Stock_QtyUomId = grmi.NewField("QtyUomId", "[WM_Stock].QtyUomId", "qtyuomid", grmi.TypeString)
var Stock_ProcurementKeyNr = grmi.NewField("ProcurementKeyNr", "[WM_Stock].ProcurementKeyNr", "procurementkeynr", grmi.TypeInt)
var Stock_PurchaseGroupId = grmi.NewField("PurchaseGroupId", "[WM_Stock].PurchaseGroupId", "purchasegroupid", grmi.TypeString)
var Stock_LastModify = grmi.NewField("LastModify", "[WM_Stock].LastModify", "lastmodify", grmi.TypeDateTime)
var Stock_LastUser = grmi.NewField("LastUser", "[WM_Stock].LastUser", "lastuser", grmi.TypeString)
var Stock_CreateTime = grmi.NewField("CreateTime", "[WM_Stock].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Stock的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var Stock = grmi.NewEntity(
	"WM_Stock",
	func() interface{} { return &model.Stock{} },
	map[string]grmi.Field{
		Stock_PlantNr.Name:                    Stock_PlantNr,
		Stock_ArtId.Name:                      Stock_ArtId,
		Stock_WarehouseNr.Name:                Stock_WarehouseNr,
		Stock_Status.Name:                     Stock_Status,
		Stock_ActStock.Name:                   Stock_ActStock,
		Stock_PlanStock.Name:                  Stock_PlanStock,
		Stock_ReservedStock.Name:              Stock_ReservedStock,
		Stock_AvailableStock.Name:             Stock_AvailableStock,
		Stock_CalculatedReorderPoint.Name:     Stock_CalculatedReorderPoint,
		Stock_ManualOrderPoint.Name:           Stock_ManualOrderPoint,
		Stock_CalculatedOptimumBatchSize.Name: Stock_CalculatedOptimumBatchSize,
		Stock_ManualOptimumLotSize.Name:       Stock_ManualOptimumLotSize,
		Stock_ManualOrderDate.Name:            Stock_ManualOrderDate,
		Stock_MainController.Name:             Stock_MainController,
		Stock_ProdArtId.Name:                  Stock_ProdArtId,
		Stock_ABCClass.Name:                   Stock_ABCClass,
		Stock_QtyUomId.Name:                   Stock_QtyUomId,
		Stock_ProcurementKeyNr.Name:           Stock_ProcurementKeyNr,
		Stock_PurchaseGroupId.Name:            Stock_PurchaseGroupId,
		Stock_LastModify.Name:                 Stock_LastModify,
		Stock_LastUser.Name:                   Stock_LastUser,
		Stock_CreateTime.Name:                 Stock_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"WarehouseNr", "Status", "ActStock", "PlanStock", "ReservedStock", "AvailableStock", "CalculatedReorderPoint", "ManualOrderPoint", "CalculatedOptimumBatchSize", "ManualOptimumLotSize", "ManualOrderDate", "MainController", "ProdArtId", "ABCClass", "QtyUomId", "ProcurementKeyNr", "PurchaseGroupId", "LastUser"})
