// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package as

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrder
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrder的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 15:51:34
 *
 ******************************************************************************/
type WorkOrder struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"AS_WorkOrder-PlantNr"`
	SchedulerId int           `xorm:"pk int 'SchedulerId'" json:"AS_WorkOrder-SchedulerId"`
	WorkOrderId string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"AS_WorkOrder-WorkOrderId"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"AS_WorkOrder-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"AS_WorkOrder-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AS_WorkOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 15:51:34
 *
 ******************************************************************************/
func (self *WorkOrder) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SchedulerId, self.WorkOrderId}
}
