// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package as

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlace
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlace的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 15:51:34
 *
 ******************************************************************************/
type WorkPlace struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"AS_WorkPlace-PlantNr"`
	SchedulerId int           `xorm:"pk int 'SchedulerId'" json:"AS_WorkPlace-SchedulerId"`
	WorkPlaceId string        `xorm:"pk nvarchar(40) 'WorkPlaceId'" json:"AS_WorkPlace-WorkPlaceId"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"AS_WorkPlace-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"AS_WorkPlace-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AS_WorkPlace-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 15:51:34
 *
 ******************************************************************************/
func (self *WorkPlace) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SchedulerId, self.WorkPlaceId}
}
