// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Article
 *-----------------------------------------------------------------------------
 *
 * @Description              : Article的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
type Article struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"Article-PlantNr"`
	ArtId                string        `xorm:"pk nvarchar(40) 'ArtId'" json:"Article-ArtId"`
	Descr1               string        `xorm:"nvarchar(100) 'Descr1' not null" json:"Article-Descr1"`
	Descr2               string        `xorm:"nvarchar(100) 'Descr2'" json:"Article-Descr2"`
	ArtTypeId            string        `xorm:"nvarchar(40) 'ArtTypeId'" json:"Article-ArtTypeId"`
	ProjectId            string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"Article-ProjectId"`
	CustArtId            string        `xorm:"nvarchar(40) 'CustArtId'" json:"Article-CustArtId"`
	AlternativeArtId     string        `xorm:"nvarchar(40) 'AlternativeArtId'" json:"Article-AlternativeArtId"`
	PlanResourceGroupId  string        `xorm:"nvarchar(40) 'PlanResourceGroupId'" json:"Article-PlanResourceGroupId"`
	PlanResourceId       string        `xorm:"nvarchar(40) 'PlanResourceId' not null" json:"Article-PlanResourceId"`
	UsedResourceId       string        `xorm:"nvarchar(40) 'UsedResourceId' not null" json:"Article-UsedResourceId"`
	UomId                string        `xorm:"nvarchar(40) 'UomId'" json:"Article-UomId"`
	PlanScrapRate        float64       `xorm:"float 'PlanScrapRate'" json:"Article-PlanScrapRate"`
	RatePerHourToggle    bool          `xorm:"bit 'RatePerHourToggle'" json:"Article-RatePerHourToggle"`
	TimePerItemToggle    bool          `xorm:"bit 'TimePerItemToggle'" json:"Article-TimePerItemToggle"`
	TimePerBatchToggle   bool          `xorm:"bit 'TimePerBatchToggle'" json:"Article-TimePerBatchToggle"`
	BatchTimeFieldToggle bool          `xorm:"bit 'BatchTimeFieldToggle'" json:"Article-BatchTimeFieldToggle"`
	OpTimePerItem        float64       `xorm:"float 'OpTimePerItem'" json:"Article-OpTimePerItem"`
	BatchTime            float64       `xorm:"float 'BatchTime'" json:"Article-BatchTime"`
	QuantityPerHour      float64       `xorm:"float 'QuantityPerHour' not null" json:"Article-QuantityPerHour"`
	MidBatchQuantity     int           `xorm:"int 'MidBatchQuantity'" json:"Article-MidBatchQuantity"`
	MidBatchTime         grmi.DateTime `xorm:"datetime 'MidBatchTime' not null" json:"Article-MidBatchTime"`
	EffectiveOpTime      float64       `xorm:"float 'EffectiveOpTime'" json:"Article-EffectiveOpTime"`
	BatchingMethod       int           `xorm:"int 'BatchingMethod'" json:"Article-BatchingMethod"`
	DeliveryBuffer       float64       `xorm:"float 'DeliveryBuffer'" json:"Article-DeliveryBuffer"`
	Icon                 string        `xorm:"nvarchar(100) 'Icon'" json:"Article-Icon"`
	DisplayColor         string        `xorm:"nvarchar(20) 'DisplayColor'" json:"Article-DisplayColor"`
	Document             string        `xorm:"nvarchar(100) 'Document'" json:"Article-Document"`
	DefaultRoute         string        `xorm:"nvarchar(40) 'DefaultRoute'" json:"Article-DefaultRoute"`
	DefaultInspectPlanId string        `xorm:"nvarchar(40) 'DefaultInspectPlanId'" json:"Article-DefaultInspectPlanId"`
	LotSize              float64       `xorm:"float 'LotSize'" json:"Article-LotSize"`
	ABCClass             string        `xorm:"nvarchar(1) 'ABCClass'" json:"Article-ABCClass"`
	ArtSize1             string        `xorm:"nvarchar(100) 'ArtSize1'" json:"Article-ArtSize1"`
	ArtSize2             string        `xorm:"nvarchar(100) 'ArtSize2'" json:"Article-ArtSize2"`
	ArtSize3             string        `xorm:"nvarchar(100) 'ArtSize3'" json:"Article-ArtSize3"`
	ArtSize4             string        `xorm:"nvarchar(100) 'ArtSize4'" json:"Article-ArtSize4"`
	ArtSize5             string        `xorm:"nvarchar(100) 'ArtSize5'" json:"Article-ArtSize5"`
	ArtSpec1             string        `xorm:"nvarchar(100) 'ArtSpec1'" json:"Article-ArtSpec1"`
	ArtSpec2             string        `xorm:"nvarchar(100) 'ArtSpec2'" json:"Article-ArtSpec2"`
	ArtSpec3             string        `xorm:"nvarchar(100) 'ArtSpec3'" json:"Article-ArtSpec3"`
	ArtSpec4             string        `xorm:"nvarchar(100) 'ArtSpec4'" json:"Article-ArtSpec4"`
	ArtSpec5             string        `xorm:"nvarchar(100) 'ArtSpec5'" json:"Article-ArtSpec5"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Article-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Article-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Article-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
func (self *Article) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId}
}
