// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArticleType
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleType的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
type ArticleType struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"ArticleType-PlantNr"`
	ArtTypeId        string        `xorm:"pk nvarchar(40) 'ArtTypeId'" json:"ArticleType-ArtTypeId"`
	Descr            string        `xorm:"nvarchar(100) 'Descr' not null" json:"ArticleType-Descr"`
	ArtTypeCtrlPara1 int           `xorm:"int 'ArtTypeCtrlPara1'" json:"ArticleType-ArtTypeCtrlPara1"`
	ArtTypeCtrlPara2 int           `xorm:"int 'ArtTypeCtrlPara2'" json:"ArticleType-ArtTypeCtrlPara2"`
	ArtTypeCtrlPara3 string        `xorm:"nvarchar(100) 'ArtTypeCtrlPara3'" json:"ArticleType-ArtTypeCtrlPara3"`
	ArtTypeCtrlPara4 string        `xorm:"nvarchar(100) 'ArtTypeCtrlPara4'" json:"ArticleType-ArtTypeCtrlPara4"`
	Icon             string        `xorm:"nvarchar(100) 'Icon'" json:"ArticleType-Icon"`
	DisplayColor     string        `xorm:"nvarchar(20) 'DisplayColor'" json:"ArticleType-DisplayColor"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ArticleType-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ArticleType-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ArticleType-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
func (self *ArticleType) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtTypeId}
}
