// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Customer
 *-----------------------------------------------------------------------------
 *
 * @Description              : Customer的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
type Customer struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"Customer-PlantNr"`
	CustomerId       string        `xorm:"pk nvarchar(40) 'CustomerId'" json:"Customer-CustomerId"`
	Name1            string        `xorm:"nvarchar(100) 'Name1' not null" json:"Customer-Name1"`
	Name2            string        `xorm:"nvarchar(100) 'Name2' not null" json:"Customer-Name2"`
	CustomerType     string        `xorm:"nvarchar(40) 'CustomerType' not null" json:"Customer-CustomerType"`
	DemandModelId    string        `xorm:"nvarchar(40) 'DemandModelId' not null" json:"Customer-DemandModelId"`
	ToleranceModelId string        `xorm:"nvarchar(40) 'ToleranceModelId' not null" json:"Customer-ToleranceModelId"`
	ValidStartDate   grmi.Date     `xorm:"date 'ValidStartDate' not null" json:"Customer-ValidStartDate"`
	Country          string        `xorm:"nvarchar(100) 'Country' not null" json:"Customer-Country"`
	City             string        `xorm:"nvarchar(100) 'City' not null" json:"Customer-City"`
	District         string        `xorm:"nvarchar(100) 'District' not null" json:"Customer-District"`
	Street           string        `xorm:"nvarchar(100) 'Street' not null" json:"Customer-Street"`
	Location         string        `xorm:"nvarchar(255) 'Location' not null" json:"Customer-Location"`
	PostCode         string        `xorm:"nvarchar(40) 'PostCode' not null" json:"Customer-PostCode"`
	Phone            string        `xorm:"nvarchar(20) 'Phone' not null" json:"Customer-Phone"`
	Mobile           string        `xorm:"nvarchar(20) 'Mobile' not null" json:"Customer-Mobile"`
	Fax              string        `xorm:"nvarchar(20) 'Fax' not null" json:"Customer-Fax"`
	Email1           string        `xorm:"nvarchar(100) 'Email1' not null" json:"Customer-Email1"`
	Email2           string        `xorm:"nvarchar(100) 'Email2' not null" json:"Customer-Email2"`
	ContactPerson    string        `xorm:"nvarchar(100) 'ContactPerson' not null" json:"Customer-ContactPerson"`
	PersonTitle      string        `xorm:"nvarchar(100) 'PersonTitle' not null" json:"Customer-PersonTitle"`
	ContactAddress   string        `xorm:"nvarchar(255) 'ContactAddress' not null" json:"Customer-ContactAddress"`
	Account          int           `xorm:"int 'Account' not null" json:"Customer-Account"`
	TaxRate          string        `xorm:"nvarchar(40) 'TaxRate' not null" json:"Customer-TaxRate"`
	Status           int           `xorm:"int 'Status' not null" json:"Customer-Status"`
	CtrlPara1        int           `xorm:"int 'CtrlPara1' not null" json:"Customer-CtrlPara1"`
	CtrlPara2        int           `xorm:"int 'CtrlPara2' not null" json:"Customer-CtrlPara2"`
	CtrlStr1         string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"Customer-CtrlStr1"`
	CtrlStr2         string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"Customer-CtrlStr2"`
	CtrlTime1        grmi.DateTime `xorm:"datetime 'CtrlTime1'" json:"Customer-CtrlTime1"`
	CtrlTime2        grmi.DateTime `xorm:"datetime 'CtrlTime2'" json:"Customer-CtrlTime2"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Customer-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Customer-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Customer-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
func (self *Customer) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CustomerId}
}
