// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SecondaryResource
 *-----------------------------------------------------------------------------
 *
 * @Description              : SecondaryResource的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type SecondaryResource struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"SecondaryResource-PlantNr"`
	ResourceId     string        `xorm:"pk nvarchar(40) 'ResourceId'" json:"SecondaryResource-ResourceId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"SecondaryResource-Descr"`
	ResourceType   string        `xorm:"nvarchar(40) 'ResourceType' not null" json:"SecondaryResource-ResourceType"`
	CapacityType   string        `xorm:"nvarchar(40) 'CapacityType' not null" json:"SecondaryResource-CapacityType"`
	CapacityFactor float64       `xorm:"float 'CapacityFactor' not null" json:"SecondaryResource-CapacityFactor"`
	PlanEfficiency float64       `xorm:"float 'PlanEfficiency' not null" json:"SecondaryResource-PlanEfficiency"`
	CostRate       float64       `xorm:"float 'CostRate' not null" json:"SecondaryResource-CostRate"`
	WeekModelNr    int           `xorm:"int 'WeekModelNr' not null" json:"SecondaryResource-WeekModelNr"`
	WorkCalendarNr int           `xorm:"int 'WorkCalendarNr' not null" json:"SecondaryResource-WorkCalendarNr"`
	CostCenterId   string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"SecondaryResource-CostCenterId"`
	LocationId     string        `xorm:"nvarchar(40) 'LocationId' not null" json:"SecondaryResource-LocationId"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"SecondaryResource-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"SecondaryResource-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"SecondaryResource-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *SecondaryResource) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ResourceId}
}
