// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Skill
 *-----------------------------------------------------------------------------
 *
 * @Description              : Skill的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type Skill struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"Skill-PlantNr"`
	SkillId    string        `xorm:"pk nvarchar(40) 'SkillId'" json:"Skill-SkillId"`
	Abrev      string        `xorm:"nvarchar(40) 'Abrev' not null" json:"Skill-Abrev"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"Skill-Descr"`
	SkillType  string        `xorm:"nvarchar(40) 'SkillType' not null" json:"Skill-SkillType"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"Skill-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"Skill-CtrlPara2"`
	CtrlStr1   string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"Skill-CtrlStr1"`
	CtrlStr2   string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"Skill-CtrlStr2"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Skill-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Skill-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Skill-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *Skill) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SkillId}
}
