// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Tool
 *-----------------------------------------------------------------------------
 *
 * @Description              : Tool的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type Tool struct {
	PlantNr                  int           `xorm:"pk int 'PlantNr'" json:"Tool-PlantNr"`
	ToolId                   string        `xorm:"pk nvarchar(40) 'ToolId'" json:"Tool-ToolId"`
	ToolGrpId                string        `xorm:"nvarchar(40) 'ToolGrpId' not null" json:"Tool-ToolGrpId"`
	Descr                    string        `xorm:"nvarchar(100) 'Descr' not null" json:"Tool-Descr"`
	ProjectId                string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"Tool-ProjectId"`
	Status                   int           `xorm:"int 'Status' not null" json:"Tool-Status"`
	AvailQty                 int           `xorm:"int 'AvailQty' not null" json:"Tool-AvailQty"`
	ToolType                 string        `xorm:"nvarchar(40) 'ToolType' not null" json:"Tool-ToolType"`
	AlternativeToolId        string        `xorm:"nvarchar(40) 'AlternativeToolId' not null" json:"Tool-AlternativeToolId"`
	FrozenToggle             bool          `xorm:"bit 'FrozenToggle' not null" json:"Tool-FrozenToggle"`
	Icon                     string        `xorm:"nvarchar(100) 'Icon' not null" json:"Tool-Icon"`
	Document                 string        `xorm:"nvarchar(100) 'Document' not null" json:"Tool-Document"`
	CostRate                 float64       `xorm:"float 'CostRate' not null" json:"Tool-CostRate"`
	CostCenterId             string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"Tool-CostCenterId"`
	LocationId               string        `xorm:"nvarchar(40) 'LocationId' not null" json:"Tool-LocationId"`
	Manufacturer             string        `xorm:"nvarchar(100) 'Manufacturer' not null" json:"Tool-Manufacturer"`
	ManufactureDate          grmi.Date     `xorm:"date 'ManufactureDate' not null" json:"Tool-ManufactureDate"`
	MaintenanceWay           string        `xorm:"nvarchar(40) 'MaintenanceWay' not null" json:"Tool-MaintenanceWay"`
	LastMaintenanceDate      grmi.Date     `xorm:"date 'LastMaintenanceDate' not null" json:"Tool-LastMaintenanceDate"`
	MaintenanceCtrlValue     int           `xorm:"int 'MaintenanceCtrlValue' not null" json:"Tool-MaintenanceCtrlValue"`
	LastMaintenanceCtrlValue int           `xorm:"int 'LastMaintenanceCtrlValue' not null" json:"Tool-LastMaintenanceCtrlValue"`
	ExperationWay            string        `xorm:"nvarchar(40) 'ExperationWay' not null" json:"Tool-ExperationWay"`
	ExperationDate           grmi.Date     `xorm:"date 'ExperationDate' not null" json:"Tool-ExperationDate"`
	ExperationCtrlValue      int           `xorm:"int 'ExperationCtrlValue' not null" json:"Tool-ExperationCtrlValue"`
	LastExperationCtrlValue  int           `xorm:"int 'LastExperationCtrlValue' not null" json:"Tool-LastExperationCtrlValue"`
	LastModify               grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Tool-LastModify"`
	LastUser                 string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Tool-LastUser"`
	CreateTime               grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Tool-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *Tool) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ToolId}
}
