// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToolGrp
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToolGrp的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type ToolGrp struct {
	PlantNr                  int           `xorm:"pk int 'PlantNr'" json:"ToolGrp-PlantNr"`
	ToolGrpId                string        `xorm:"pk nvarchar(40) 'ToolGrpId'" json:"ToolGrp-ToolGrpId"`
	Descr                    string        `xorm:"nvarchar(100) 'Descr' not null" json:"ToolGrp-Descr"`
	ProjectId                string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"ToolGrp-ProjectId"`
	ToolType                 string        `xorm:"nvarchar(40) 'ToolType' not null" json:"ToolGrp-ToolType"`
	Icon                     string        `xorm:"nvarchar(100) 'Icon' not null" json:"ToolGrp-Icon"`
	Document                 string        `xorm:"nvarchar(100) 'Document' not null" json:"ToolGrp-Document"`
	CostRate                 float64       `xorm:"float 'CostRate' not null" json:"ToolGrp-CostRate"`
	CostCenterId             string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"ToolGrp-CostCenterId"`
	MaintenanceWay           string        `xorm:"nvarchar(40) 'MaintenanceWay' not null" json:"ToolGrp-MaintenanceWay"`
	LastMaintenanceDate      grmi.Date     `xorm:"date 'LastMaintenanceDate' not null" json:"ToolGrp-LastMaintenanceDate"`
	MaintenanceCtrlValue     int           `xorm:"int 'MaintenanceCtrlValue' not null" json:"ToolGrp-MaintenanceCtrlValue"`
	LastMaintenanceCtrlValue int           `xorm:"int 'LastMaintenanceCtrlValue' not null" json:"ToolGrp-LastMaintenanceCtrlValue"`
	ExperationWay            string        `xorm:"nvarchar(40) 'ExperationWay' not null" json:"ToolGrp-ExperationWay"`
	ExperationDate           grmi.Date     `xorm:"date 'ExperationDate' not null" json:"ToolGrp-ExperationDate"`
	ExperationCtrlValue      int           `xorm:"int 'ExperationCtrlValue' not null" json:"ToolGrp-ExperationCtrlValue"`
	LastExperationCtrlValue  int           `xorm:"int 'LastExperationCtrlValue' not null" json:"ToolGrp-LastExperationCtrlValue"`
	LastModify               grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ToolGrp-LastModify"`
	LastUser                 string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ToolGrp-LastUser"`
	CreateTime               grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ToolGrp-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *ToolGrp) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ToolGrpId}
}
