// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlaceGrp
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlaceGrp的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WorkPlaceGrp struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"WorkPlaceGrp-PlantNr"`
	WorkPlaceGrpId string        `xorm:"pk nvarchar(40) 'WorkPlaceGrpId'" json:"WorkPlaceGrp-WorkPlaceGrpId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WorkPlaceGrp-Descr"`
	WorkPlaceType  string        `xorm:"nvarchar(40) 'WorkPlaceType' not null" json:"WorkPlaceGrp-WorkPlaceType"`
	CapacityType   string        `xorm:"nvarchar(40) 'CapacityType' not null" json:"WorkPlaceGrp-CapacityType"`
	CapacityFactor float64       `xorm:"float 'CapacityFactor' not null" json:"WorkPlaceGrp-CapacityFactor"`
	PlanEfficiency float64       `xorm:"float 'PlanEfficiency' not null" json:"WorkPlaceGrp-PlanEfficiency"`
	CostRate       float64       `xorm:"float 'CostRate' not null" json:"WorkPlaceGrp-CostRate"`
	WeekModelNr    int           `xorm:"int 'WeekModelNr' not null" json:"WorkPlaceGrp-WeekModelNr"`
	WorkCalendarNr int           `xorm:"int 'WorkCalendarNr' not null" json:"WorkPlaceGrp-WorkCalendarNr"`
	CostCenterId   string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"WorkPlaceGrp-CostCenterId"`
	LocationId     string        `xorm:"nvarchar(40) 'LocationId' not null" json:"WorkPlaceGrp-LocationId"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkPlaceGrp-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkPlaceGrp-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkPlaceGrp-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WorkPlaceGrp) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceGrpId}
}
