// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlaceStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlaceStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WorkPlaceStatus struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"WorkPlaceStatus-PlantNr"`
	WorkPlaceId        int           `xorm:"pk int 'WorkPlaceId'" json:"WorkPlaceStatus-WorkPlaceId"`
	Status             int           `xorm:"int 'Status' not null" json:"WorkPlaceStatus-Status"`
	TriggerEvent       string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"WorkPlaceStatus-TriggerEvent"`
	TriggerObjectId    string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"WorkPlaceStatus-TriggerObjectId"`
	TriggerSubObjectId string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"WorkPlaceStatus-TriggerSubObjectId"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkPlaceStatus-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkPlaceStatus-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkPlaceStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WorkPlaceStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceId}
}
