// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OrderNetWork
 *-----------------------------------------------------------------------------
 *
 * @Description              : OrderNetWork的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type OrderNetWork struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_OrderNetWork-PlantNr"`
	WorkOrderId          string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_OrderNetWork-WorkOrderId"`
	OperationNr          int           `xorm:"pk int 'OperationNr'" json:"OM_OrderNetWork-OperationNr"`
	SplitNr              int           `xorm:"pk int 'SplitNr'" json:"OM_OrderNetWork-SplitNr"`
	PrevWorkOrderId      string        `xorm:"pk nvarchar(40) 'PrevWorkOrderId'" json:"OM_OrderNetWork-PrevWorkOrderId"`
	PrevOperationNr      int           `xorm:"pk int 'PrevOperationNr'" json:"OM_OrderNetWork-PrevOperationNr"`
	PrevSplitNr          int           `xorm:"pk int 'PrevSplitNr'" json:"OM_OrderNetWork-PrevSplitNr"`
	Qty                  float64       `xorm:"float 'Qty' not null" json:"OM_OrderNetWork-Qty"`
	PrevQty              float64       `xorm:"float 'PrevQty' not null" json:"OM_OrderNetWork-PrevQty"`
	SetupDuration        float64       `xorm:"float 'SetupDuration' not null" json:"OM_OrderNetWork-SetupDuration"`
	DurationUomId        string        `xorm:"nvarchar(40) 'DurationUomId' not null" json:"OM_OrderNetWork-DurationUomId"`
	ProjectId            string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"OM_OrderNetWork-ProjectId"`
	IsCriticalPathToggle bool          `xorm:"bit 'IsCriticalPathToggle' not null" json:"OM_OrderNetWork-IsCriticalPathToggle"`
	CtrlPara1            int           `xorm:"int 'CtrlPara1' not null" json:"OM_OrderNetWork-CtrlPara1"`
	CtrlPara2            int           `xorm:"int 'CtrlPara2' not null" json:"OM_OrderNetWork-CtrlPara2"`
	CtrlStr1             string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"OM_OrderNetWork-CtrlStr1"`
	CtrlStr2             string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"OM_OrderNetWork-CtrlStr2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_OrderNetWork-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_OrderNetWork-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_OrderNetWork-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *OrderNetWork) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.PrevWorkOrderId, self.PrevOperationNr, self.PrevSplitNr}
}
