// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperation
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperation的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperation struct {
	PlantNr                      int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperation-PlantNr"`
	WorkOrderId                  string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperation-WorkOrderId"`
	OperationNr                  int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperation-OperationNr"`
	SplitNr                      int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperation-SplitNr"`
	Descr                        string        `xorm:"nvarchar(100) 'Descr' not null" json:"OM_WOOperation-Descr"`
	StandardOperationId          string        `xorm:"nvarchar(40) 'StandardOperationId' not null" json:"OM_WOOperation-StandardOperationId"`
	OperationType                string        `xorm:"nvarchar(20) 'OperationType' not null" json:"OM_WOOperation-OperationType"`
	WorkPlaceGrpId               string        `xorm:"nvarchar(40) 'WorkPlaceGrpId' not null" json:"OM_WOOperation-WorkPlaceGrpId"`
	WorkPlaceId                  string        `xorm:"nvarchar(40) 'WorkPlaceId' not null" json:"OM_WOOperation-WorkPlaceId"`
	UsedWorkPlaceId              string        `xorm:"nvarchar(40) 'UsedWorkPlaceId' not null" json:"OM_WOOperation-UsedWorkPlaceId"`
	SetupDuration                float64       `xorm:"float 'SetupDuration' not null" json:"OM_WOOperation-SetupDuration"`
	AfterProcessDuration         float64       `xorm:"float 'AfterProcessDuration' not null" json:"OM_WOOperation-AfterProcessDuration"`
	DurationUomId                string        `xorm:"nvarchar(40) 'DurationUomId' not null" json:"OM_WOOperation-DurationUomId"`
	PlanStartTime                string        `xorm:"nvarchar(14) 'PlanStartTime' not null" json:"OM_WOOperation-PlanStartTime"`
	PlanEndTime                  string        `xorm:"nvarchar(14) 'PlanEndTime' not null" json:"OM_WOOperation-PlanEndTime"`
	ActStartTime                 string        `xorm:"nvarchar(14) 'ActStartTime' not null" json:"OM_WOOperation-ActStartTime"`
	ActEndTime                   string        `xorm:"nvarchar(14) 'ActEndTime' not null" json:"OM_WOOperation-ActEndTime"`
	PlanQty                      float64       `xorm:"float 'PlanQty' not null" json:"OM_WOOperation-PlanQty"`
	PlanScrapRate                float64       `xorm:"float 'PlanScrapRate' not null" json:"OM_WOOperation-PlanScrapRate"`
	RatePerHourToggle            bool          `xorm:"bit 'RatePerHourToggle' not null" json:"OM_WOOperation-RatePerHourToggle"`
	TimePerItemToggle            bool          `xorm:"bit 'TimePerItemToggle' not null" json:"OM_WOOperation-TimePerItemToggle"`
	TimePerBatchToggle           bool          `xorm:"bit 'TimePerBatchToggle' not null" json:"OM_WOOperation-TimePerBatchToggle"`
	BatchTimeFieldToggle         bool          `xorm:"bit 'BatchTimeFieldToggle' not null" json:"OM_WOOperation-BatchTimeFieldToggle"`
	OpTimePerItem                float64       `xorm:"float 'OpTimePerItem'" json:"OM_WOOperation-OpTimePerItem"`
	BatchTime                    float64       `xorm:"float 'BatchTime'" json:"OM_WOOperation-BatchTime"`
	QuantityPerHour              float64       `xorm:"float 'QuantityPerHour' not null" json:"OM_WOOperation-QuantityPerHour"`
	MidBatchQuantity             int           `xorm:"int 'MidBatchQuantity' not null" json:"OM_WOOperation-MidBatchQuantity"`
	MidBatchTime                 grmi.DateTime `xorm:"datetime 'MidBatchTime'" json:"OM_WOOperation-MidBatchTime"`
	EffectiveOpTime              float64       `xorm:"float 'EffectiveOpTime'" json:"OM_WOOperation-EffectiveOpTime"`
	BatchingMethod               int           `xorm:"int 'BatchingMethod' not null" json:"OM_WOOperation-BatchingMethod"`
	TransferToggle               bool          `xorm:"bit 'TransferToggle' not null" json:"OM_WOOperation-TransferToggle"`
	SplitToggle                  bool          `xorm:"bit 'SplitToggle' not null" json:"OM_WOOperation-SplitToggle"`
	TransferQuantity             float64       `xorm:"float 'TransferQuantity' not null" json:"OM_WOOperation-TransferQuantity"`
	LotSize                      float64       `xorm:"float 'LotSize'" json:"OM_WOOperation-LotSize"`
	MaxTimeBeforeNextOp          float64       `xorm:"float 'MaxTimeBeforeNextOp'" json:"OM_WOOperation-MaxTimeBeforeNextOp"`
	MaximumOperationSpanIncrease float64       `xorm:"float 'MaximumOperationSpanIncrease' not null" json:"OM_WOOperation-MaximumOperationSpanIncrease"`
	SlackTimeAfterLastOperation  float64       `xorm:"float 'SlackTimeAfterLastOperation'" json:"OM_WOOperation-SlackTimeAfterLastOperation"`
	LastModify                   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperation-LastModify"`
	LastUser                     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperation-LastUser"`
	CreateTime                   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperation-CreateTime"`

	Artlst       				 []WOOperationArtLst		`xorm:"-"`
	Yieldlst       				 []WOOperationYieldLst 	`xorm:"-"`
	Skilllst   					 []WOOperationSkillLst	`xorm:"-"`
	Toollst 					 []WOOperationToolLst		`xorm:"-"`
	Resourcelst 				 []WOOperationResourceLst	`xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperation) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr}
}
