// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationArtLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationArtLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationArtLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationArtLst-PlantNr"`
	WorkOrderId string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationArtLst-WorkOrderId"`
	OperationNr int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationArtLst-OperationNr"`
	SplitNr     int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationArtLst-SplitNr"`
	ArtId       string        `xorm:"pk nvarchar(40) 'ArtId'" json:"OM_WOOperationArtLst-ArtId"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"OM_WOOperationArtLst-Descr"`
	BasisQty    float64       `xorm:"float 'BasisQty' not null" json:"OM_WOOperationArtLst-BasisQty"`
	PlanQty     float64       `xorm:"float 'PlanQty' not null" json:"OM_WOOperationArtLst-PlanQty"`
	ActQty      float64       `xorm:"float 'ActQty' not null" json:"OM_WOOperationArtLst-ActQty"`
	QtyUomId    string        `xorm:"nvarchar(40) 'QtyUomId' not null" json:"OM_WOOperationArtLst-QtyUomId"`
	CtrlPara1   int           `xorm:"int 'CtrlPara1' not null" json:"OM_WOOperationArtLst-CtrlPara1"`
	CtrlPara2   int           `xorm:"int 'CtrlPara2' not null" json:"OM_WOOperationArtLst-CtrlPara2"`
	CtrlStr1    string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"OM_WOOperationArtLst-CtrlStr1"`
	CtrlStr2    string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"OM_WOOperationArtLst-CtrlStr2"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationArtLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationArtLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationArtLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationArtLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.ArtId}
}
