// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationArtQtyRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationArtQtyRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationArtQtyRecLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationArtQtyRecLst-PlantNr"`
	WorkOrderId string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationArtQtyRecLst-WorkOrderId"`
	OperationNr int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationArtQtyRecLst-OperationNr"`
	SplitNr     int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationArtQtyRecLst-SplitNr"`
	Pos         int           `xorm:"pk int 'Pos'" json:"OM_WOOperationArtQtyRecLst-Pos"`
	ArtId       string        `xorm:"pk nvarchar(40) 'ArtId'" json:"OM_WOOperationArtQtyRecLst-ArtId"`
	ActQty      float64       `xorm:"float 'ActQty' not null" json:"OM_WOOperationArtQtyRecLst-ActQty"`
	QtyUomId    string        `xorm:"nvarchar(40) 'QtyUomId' not null" json:"OM_WOOperationArtQtyRecLst-QtyUomId"`
	BatchId     string        `xorm:"nvarchar(100) 'BatchId' not null" json:"OM_WOOperationArtQtyRecLst-BatchId"`
	ArtTypeId   string        `xorm:"nvarchar(40) 'ArtTypeId' not null" json:"OM_WOOperationArtQtyRecLst-ArtTypeId"`
	WorkPlaceNr int           `xorm:"int 'WorkPlaceNr' not null" json:"OM_WOOperationArtQtyRecLst-WorkPlaceNr"`
	ConsumeTime grmi.DateTime `xorm:"datetime 'ConsumeTime'" json:"OM_WOOperationArtQtyRecLst-ConsumeTime"`
	WarehouseNr int           `xorm:"int 'WarehouseNr' not null" json:"OM_WOOperationArtQtyRecLst-WarehouseNr"`
	AreaId      string        `xorm:"nvarchar(40) 'AreaId' not null" json:"OM_WOOperationArtQtyRecLst-AreaId"`
	RackId      string        `xorm:"nvarchar(40) 'RackId' not null" json:"OM_WOOperationArtQtyRecLst-RackId"`
	PositionId  string        `xorm:"nvarchar(40) 'PositionId' not null" json:"OM_WOOperationArtQtyRecLst-PositionId"`
	PackageUnit string        `xorm:"nvarchar(40) 'PackageUnit' not null" json:"OM_WOOperationArtQtyRecLst-PackageUnit"`
	CtrlPara1   int           `xorm:"int 'CtrlPara1' not null" json:"OM_WOOperationArtQtyRecLst-CtrlPara1"`
	CtrlPara2   int           `xorm:"int 'CtrlPara2' not null" json:"OM_WOOperationArtQtyRecLst-CtrlPara2"`
	CtrlStr1    string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"OM_WOOperationArtQtyRecLst-CtrlStr1"`
	CtrlStr2    string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"OM_WOOperationArtQtyRecLst-CtrlStr2"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationArtQtyRecLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationArtQtyRecLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationArtQtyRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationArtQtyRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.Pos, self.ArtId}
}
