// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationQty
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationQty的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationQty struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationQty-PlantNr"`
	WorkOrderId   string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationQty-WorkOrderId"`
	OperationNr   int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationQty-OperationNr"`
	SplitNr       int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationQty-SplitNr"`
	ActQty        float64       `xorm:"float 'ActQty' not null" json:"OM_WOOperationQty-ActQty"`
	GoodQty       float64       `xorm:"float 'GoodQty' not null" json:"OM_WOOperationQty-GoodQty"`
	ScrapQty      float64       `xorm:"float 'ScrapQty' not null" json:"OM_WOOperationQty-ScrapQty"`
	ReworkQty     float64       `xorm:"float 'ReworkQty' not null" json:"OM_WOOperationQty-ReworkQty"`
	QuarantineQty float64       `xorm:"float 'QuarantineQty' not null" json:"OM_WOOperationQty-QuarantineQty"`
	FrozenQty     float64       `xorm:"float 'FrozenQty' not null" json:"OM_WOOperationQty-FrozenQty"`
	ActQty1       float64       `xorm:"float 'ActQty1' not null" json:"OM_WOOperationQty-ActQty1"`
	ActQty2       float64       `xorm:"float 'ActQty2' not null" json:"OM_WOOperationQty-ActQty2"`
	ActQty3       float64       `xorm:"float 'ActQty3' not null" json:"OM_WOOperationQty-ActQty3"`
	ActQty4       float64       `xorm:"float 'ActQty4' not null" json:"OM_WOOperationQty-ActQty4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationQty-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationQty-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationQty-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationQty) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr}
}
