// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationQtyRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationQtyRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationQtyRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationQtyRecLst-PlantNr"`
	WorkOrderId          string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationQtyRecLst-WorkOrderId"`
	OperationNr          int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationQtyRecLst-OperationNr"`
	SplitNr              int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationQtyRecLst-SplitNr"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_WOOperationQtyRecLst-Pos"`
	ActQty               float64       `xorm:"float 'ActQty' not null" json:"OM_WOOperationQtyRecLst-ActQty"`
	OrderQtyType         string        `xorm:"nvarchar(20) 'OrderQtyType' not null" json:"OM_WOOperationQtyRecLst-OrderQtyType"`
	RecordTime           string        `xorm:"nvarchar(14) 'RecordTime' not null" json:"OM_WOOperationQtyRecLst-RecordTime"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_WOOperationQtyRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_WOOperationQtyRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_WOOperationQtyRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_WOOperationQtyRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_WOOperationQtyRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_WOOperationQtyRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_WOOperationQtyRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_WOOperationQtyRecLst-OutputSubObjectId"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_WOOperationQtyRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_WOOperationQtyRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationQtyRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationQtyRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationQtyRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationQtyRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.Pos}
}
