// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationResourceLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationResourceLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationResourceLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationResourceLst-PlantNr"`
	WorkOrderId    string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationResourceLst-WorkOrderId"`
	OperationNr    int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationResourceLst-OperationNr"`
	SplitNr        int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationResourceLst-SplitNr"`
	ResourceId     string        `xorm:"pk nvarchar(40) 'ResourceId'" json:"OM_WOOperationResourceLst-ResourceId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"OM_WOOperationResourceLst-Descr"`
	BasisQty       float64       `xorm:"float 'BasisQty' not null" json:"OM_WOOperationResourceLst-BasisQty"`
	PlanQty        float64       `xorm:"float 'PlanQty' not null" json:"OM_WOOperationResourceLst-PlanQty"`
	ActQty         float64       `xorm:"float 'ActQty' not null" json:"OM_WOOperationResourceLst-ActQty"`
	QtyUomId       string        `xorm:"nvarchar(40) 'QtyUomId' not null" json:"OM_WOOperationResourceLst-QtyUomId"`
	OPDemandPeriod string        `xorm:"nvarchar(40) 'OPDemandPeriod' not null" json:"OM_WOOperationResourceLst-OPDemandPeriod"`
	CtrlPara1      int           `xorm:"int 'CtrlPara1' not null" json:"OM_WOOperationResourceLst-CtrlPara1"`
	CtrlPara2      int           `xorm:"int 'CtrlPara2' not null" json:"OM_WOOperationResourceLst-CtrlPara2"`
	CtrlStr1       string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"OM_WOOperationResourceLst-CtrlStr1"`
	CtrlStr2       string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"OM_WOOperationResourceLst-CtrlStr2"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationResourceLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationResourceLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationResourceLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationResourceLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.ResourceId}
}
