// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationStatus struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationStatus-PlantNr"`
	WorkOrderId        string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationStatus-WorkOrderId"`
	OperationNr        int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationStatus-OperationNr"`
	SplitNr            int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationStatus-SplitNr"`
	Status             int           `xorm:"int 'Status' not null" json:"OM_WOOperationStatus-Status"`
	TriggerEvent       string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_WOOperationStatus-TriggerEvent"`
	TriggerObjectId    string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_WOOperationStatus-TriggerObjectId"`
	TriggerSubObjectId string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_WOOperationStatus-TriggerSubObjectId"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationStatus-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationStatus-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr}
}
