// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationStatusRecLst-PlantNr"`
	WorkOrderId          string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationStatusRecLst-WorkOrderId"`
	OperationNr          int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationStatusRecLst-OperationNr"`
	SplitNr              int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationStatusRecLst-SplitNr"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_WOOperationStatusRecLst-Pos"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"OM_WOOperationStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"OM_WOOperationStatusRecLst-Status"`
	StartTime            string        `xorm:"nvarchar(14) 'StartTime' not null" json:"OM_WOOperationStatusRecLst-StartTime"`
	EndTime              string        `xorm:"nvarchar(14) 'EndTime' not null" json:"OM_WOOperationStatusRecLst-EndTime"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_WOOperationStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_WOOperationStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_WOOperationStatusRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_WOOperationStatusRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_WOOperationStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_WOOperationStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_WOOperationStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_WOOperationStatusRecLst-OutputSubObjectId"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_WOOperationStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_WOOperationStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.Pos}
}
