// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationToolLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationToolLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationToolLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"OM_WOOperationToolLst-PlantNr"`
	WorkOrderId    string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WOOperationToolLst-WorkOrderId"`
	OperationNr    int           `xorm:"pk int 'OperationNr'" json:"OM_WOOperationToolLst-OperationNr"`
	SplitNr        int           `xorm:"pk int 'SplitNr'" json:"OM_WOOperationToolLst-SplitNr"`
	ToolGrpId      string        `xorm:"pk nvarchar(40) 'ToolGrpId'" json:"OM_WOOperationToolLst-ToolGrpId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"OM_WOOperationToolLst-Descr"`
	BasisQty       float64       `xorm:"float 'BasisQty' not null" json:"OM_WOOperationToolLst-BasisQty"`
	PlanQty        float64       `xorm:"float 'PlanQty' not null" json:"OM_WOOperationToolLst-PlanQty"`
	ActQty         float64       `xorm:"float 'ActQty' not null" json:"OM_WOOperationToolLst-ActQty"`
	QtyUomId       string        `xorm:"nvarchar(40) 'QtyUomId' not null" json:"OM_WOOperationToolLst-QtyUomId"`
	OPDemandPeriod string        `xorm:"nvarchar(40) 'OPDemandPeriod' not null" json:"OM_WOOperationToolLst-OPDemandPeriod"`
	CtrlPara1      int           `xorm:"int 'CtrlPara1' not null" json:"OM_WOOperationToolLst-CtrlPara1"`
	CtrlPara2      int           `xorm:"int 'CtrlPara2' not null" json:"OM_WOOperationToolLst-CtrlPara2"`
	CtrlStr1       string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"OM_WOOperationToolLst-CtrlStr1"`
	CtrlStr2       string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"OM_WOOperationToolLst-CtrlStr2"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WOOperationToolLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WOOperationToolLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WOOperationToolLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *WOOperationToolLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.OperationNr, self.SplitNr, self.ToolGrpId}
}
