// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pdc

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ReportRecord
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReportRecord的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type ReportRecord struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"PDC_ReportRecord-PlantNr"`
	RecordNr       int           `xorm:"pk int 'RecordNr'" json:"PDC_ReportRecord-RecordNr"`
	LastRecordUser string        `xorm:"nvarchar(40) 'LastRecordUser' not null" json:"PDC_ReportRecord-LastRecordUser"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PDC_ReportRecord-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PDC_ReportRecord-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PDC_ReportRecord-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *ReportRecord) GetKey() core.PK {
	return core.PK{self.PlantNr, self.RecordNr}
}
