// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_AS/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Stock
 *-----------------------------------------------------------------------------
 *
 * @Description              : Stock的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type Stock struct {
	PlantNr                    int           `xorm:"pk int 'PlantNr'" json:"WM_Stock-PlantNr"`
	ArtId                      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_Stock-ArtId"`
	WarehouseNr                int           `xorm:"int 'WarehouseNr' not null" json:"WM_Stock-WarehouseNr"`
	Status                     int           `xorm:"int 'Status' not null" json:"WM_Stock-Status"`
	ActStock                   float64       `xorm:"float 'ActStock'" json:"WM_Stock-ActStock"`
	PlanStock                  float64       `xorm:"float 'PlanStock'" json:"WM_Stock-PlanStock"`
	ReservedStock              float64       `xorm:"float 'ReservedStock'" json:"WM_Stock-ReservedStock"`
	AvailableStock             float64       `xorm:"float 'AvailableStock'" json:"WM_Stock-AvailableStock"`
	CalculatedReorderPoint     float64       `xorm:"float 'CalculatedReorderPoint'" json:"WM_Stock-CalculatedReorderPoint"`
	ManualOrderPoint           float64       `xorm:"float 'ManualOrderPoint'" json:"WM_Stock-ManualOrderPoint"`
	CalculatedOptimumBatchSize float64       `xorm:"float 'CalculatedOptimumBatchSize'" json:"WM_Stock-CalculatedOptimumBatchSize"`
	ManualOptimumLotSize       float64       `xorm:"float 'ManualOptimumLotSize'" json:"WM_Stock-ManualOptimumLotSize"`
	ManualOrderDate            grmi.DateTime `xorm:"datetime 'ManualOrderDate'" json:"WM_Stock-ManualOrderDate"`
	MainController             string        `xorm:"nvarchar(20) 'MainController' not null" json:"WM_Stock-MainController"`
	ProdArtId                  string        `xorm:"nvarchar(40) 'ProdArtId' not null" json:"WM_Stock-ProdArtId"`
	ABCClass                   string        `xorm:"nvarchar(1) 'ABCClass' not null" json:"WM_Stock-ABCClass"`
	QtyUomId                   string        `xorm:"nvarchar(40) 'QtyUomId' not null" json:"WM_Stock-QtyUomId"`
	ProcurementKeyNr           int           `xorm:"int 'ProcurementKeyNr' not null" json:"WM_Stock-ProcurementKeyNr"`
	PurchaseGroupId            string        `xorm:"nvarchar(40) 'PurchaseGroupId' not null" json:"WM_Stock-PurchaseGroupId"`
	LastModify                 grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Stock-LastModify"`
	LastUser                   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Stock-LastUser"`
	CreateTime                 grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Stock-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func (self *Stock) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId}
}
