package service

import base_model "LAPP_AS/models/base"

// 工具类型资源组对象
type ToolGrpSrv struct{
	ToolGrpId		string
	ToolArray		[]ToolSrv			// 工具列表
	ToolIdxDict		map[string]string			// 工具在列表中的索引
	ToolDict 		map[string]*ToolSrv
	WaitTaskArray	[]OperationSrv		// 任务等待队列
	SchedTaskArray	[]SchedTaskSrv		// 已计划任务队列
	ToolGrpTab		base_model.ToolGrp
}

// 初始化工具组对象
func(tgs *ToolGrpSrv)Init(tgid string){
	tgs.ToolGrpId		= tgid

	tgs.ToolIdxDict		= make(map[string]string)
	tgs.ToolDict		= make(map[string]*ToolSrv)
	tgs.WaitTaskArray	= []OperationSrv{}
	tgs.SchedTaskArray	= []SchedTaskSrv{}
}

// 创建工具组对象
func(tgs *ToolGrpSrv)Create(tgtab base_model.ToolGrp){
	tgs.ToolGrpId		= tgtab.ToolGrpId
	tgs.ToolGrpTab		= tgtab
	tgs.ToolIdxDict		= make(map[string]string)
	tgs.ToolDict		= make(map[string]*ToolSrv)
	tgs.WaitTaskArray	= []OperationSrv{}
	tgs.SchedTaskArray	= []SchedTaskSrv{}
}
