package service

import (
	"LAPP_AS/common"
	base_model "LAPP_AS/models/base"
)

// 工位组类型资源组对象
type WorkPlaceGrpSrv struct{
	WorkPlaceGrpId		string
	Wpgtab				base_model.WorkPlaceGrp
	WorkPlaceDict		map[string]*WorkPlaceSrv
	WaitTaskArray		[]OperationSrv		// 任务等待队列
	SchedTaskArray		[]SchedTaskSrv		// 已计划任务队列
}

// 初始化对象
func(wpgs *WorkPlaceGrpSrv)Init(wpgid string){
	wpgs.WorkPlaceGrpId	= wpgid
	wpgs.WorkPlaceDict	= make(map[string]*WorkPlaceSrv)
	wpgs.WaitTaskArray	= []OperationSrv{}
	wpgs.SchedTaskArray	= []SchedTaskSrv{}
}

// 初始化对象
func(wpgs *WorkPlaceGrpSrv)Create(wpgtab base_model.WorkPlaceGrp){
	wpgs.WorkPlaceGrpId	= wpgtab.WorkPlaceGrpId
	wpgs.Wpgtab			= wpgtab
	wpgs.WorkPlaceDict	= make(map[string]*WorkPlaceSrv)
	wpgs.WaitTaskArray	= []OperationSrv{}
	wpgs.SchedTaskArray	= []SchedTaskSrv{}
}

// 判断工位组内当前是否有工位状态可用
func(wpgs *WorkPlaceGrpSrv)ExistAvailableWorkPlace()(exist bool){
	exist = false
	for _, wp := range wpgs.WorkPlaceDict{
		if wp.Status == common.RES_STATUS_AVAIL {
			exist = true
			return
		}
	}
	return
}


