// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/base"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/base"
	model "LAPP_AS/models/base"
)

/******************************************************************************
 *
 * @Description              : PersonSkilllst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfPersonSkilllst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.PersonSkilllst_PersonNr.UrlParameterName:       grmi.NewConditionItem(meta.PersonSkilllst_PersonNr, grmi.Equal, true),
		meta.PersonSkilllst_SkillId.UrlParameterName:        grmi.NewConditionItem(meta.PersonSkilllst_SkillId, grmi.Equal, true),
		meta.PersonSkilllst_Priority.UrlParameterName:       grmi.NewConditionItem(meta.PersonSkilllst_Priority, grmi.Equal, false),
		meta.PersonSkilllst_Status.UrlParameterName:         grmi.NewConditionItem(meta.PersonSkilllst_Status, grmi.Equal, false),
		meta.PersonSkilllst_ValidStartDate.UrlParameterName: grmi.NewConditionItem(meta.PersonSkilllst_ValidStartDate, grmi.Approximate, false),
		meta.PersonSkilllst_ValidEndDate.UrlParameterName:   grmi.NewConditionItem(meta.PersonSkilllst_ValidEndDate, grmi.Approximate, false),
		meta.PersonSkilllst_CtrlPara1.UrlParameterName:      grmi.NewConditionItem(meta.PersonSkilllst_CtrlPara1, grmi.Equal, false),
		meta.PersonSkilllst_CtrlPara2.UrlParameterName:      grmi.NewConditionItem(meta.PersonSkilllst_CtrlPara2, grmi.Equal, false),
		meta.PersonSkilllst_CtrlStr1.UrlParameterName:       grmi.NewConditionItem(meta.PersonSkilllst_CtrlStr1, grmi.Equal, false),
		meta.PersonSkilllst_CtrlStr2.UrlParameterName:       grmi.NewConditionItem(meta.PersonSkilllst_CtrlStr2, grmi.Equal, false),
		meta.PersonSkilllst_LastModify.UrlParameterName:     grmi.NewConditionItem(meta.PersonSkilllst_LastModify, grmi.Approximate, false),
		meta.PersonSkilllst_LastUser.UrlParameterName:       grmi.NewConditionItem(meta.PersonSkilllst_LastUser, grmi.Equal, false),
		meta.PersonSkilllst_CreateTime.UrlParameterName:     grmi.NewConditionItem(meta.PersonSkilllst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : PersonSkilllst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfPersonSkilllstAndPaging = grmi.NewCondition(
	DefaultConditionOfPersonSkilllst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : PersonSkilllstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : PersonSkilllst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type PersonSkilllstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewPersonSkilllstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PersonSkilllstDAOImplement实例
 *
 * @Return Value             : PersonSkilllstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewPersonSkilllstServiceImplement() *PersonSkilllstServiceImplement {
	return &PersonSkilllstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.InsertOne
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) InsertOne(user *global.User, entity *model.PersonSkilllst) error {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "InsertOnePersonSkilllst", "插入一个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.PersonNr, entity.SkillId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.DeleteOne
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) DeleteOne(user *global.User, personNr int, skillId string) error {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "DeleteOnePersonSkilllst", "删除一个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(personNr, skillId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(personNr, skillId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.SelectOne
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) SelectOne(user *global.User, personNr int, skillId string) (*model.PersonSkilllst, error) {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "SelectOnePersonSkilllst", "查询一个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(personNr, skillId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.UpdateOne
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) UpdateOne(user *global.User, entity *model.PersonSkilllst) error {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "UpdateOnePersonSkilllst", "修改一个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.PersonNr, entity.SkillId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.Insert
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) Insert(user *global.User, entities *[]model.PersonSkilllst) error {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "InsertPersonSkilllst", "插入多个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.PersonNr, entity.SkillId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.Delete
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) Delete(user *global.User, entities *[]model.PersonSkilllst) error {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "DeletePersonSkilllst", "删除多个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.PersonNr, entity.SkillId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.Select
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.PersonSkilllst, error) {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "SelectPersonSkilllst", "查询PersonSkilllst")

	condition := DefaultConditionOfPersonSkilllstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "SelectPersonSkilllst", "查询PersonSkilllst")

	condition := DefaultConditionOfPersonSkilllstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/PersonSkilllstService.Update
 *
 ******************************************************************************/
func (impl *PersonSkilllstServiceImplement) Update(user *global.User, entities *[]model.PersonSkilllst) error {

	grmi.Log(user, "/services/base/implments/PersonSkilllst.service.impl.go", "UpdatePersonSkilllst", "修改多个PersonSkilllst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewPersonSkilllstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.PersonNr, entity.SkillId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
