// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/base"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/base"
	model "LAPP_AS/models/base"
)

/******************************************************************************
 *
 * @Description              : ToolUnAvailTimeLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfToolUnAvailTimeLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.ToolUnAvailTimeLst_ToolId.UrlParameterName:     grmi.NewConditionItem(meta.ToolUnAvailTimeLst_ToolId, grmi.Equal, true),
		meta.ToolUnAvailTimeLst_DetailId.UrlParameterName:   grmi.NewConditionItem(meta.ToolUnAvailTimeLst_DetailId, grmi.Equal, true),
		meta.ToolUnAvailTimeLst_ProjectId.UrlParameterName:  grmi.NewConditionItem(meta.ToolUnAvailTimeLst_ProjectId, grmi.Equal, false),
		meta.ToolUnAvailTimeLst_BegTime.UrlParameterName:    grmi.NewConditionItem(meta.ToolUnAvailTimeLst_BegTime, grmi.Approximate, false),
		meta.ToolUnAvailTimeLst_EndTime.UrlParameterName:    grmi.NewConditionItem(meta.ToolUnAvailTimeLst_EndTime, grmi.Approximate, false),
		meta.ToolUnAvailTimeLst_LastModify.UrlParameterName: grmi.NewConditionItem(meta.ToolUnAvailTimeLst_LastModify, grmi.Approximate, false),
		meta.ToolUnAvailTimeLst_LastUser.UrlParameterName:   grmi.NewConditionItem(meta.ToolUnAvailTimeLst_LastUser, grmi.Equal, false),
		meta.ToolUnAvailTimeLst_CreateTime.UrlParameterName: grmi.NewConditionItem(meta.ToolUnAvailTimeLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : ToolUnAvailTimeLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfToolUnAvailTimeLstAndPaging = grmi.NewCondition(
	DefaultConditionOfToolUnAvailTimeLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : ToolUnAvailTimeLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToolUnAvailTimeLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type ToolUnAvailTimeLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewToolUnAvailTimeLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ToolUnAvailTimeLstDAOImplement实例
 *
 * @Return Value             : ToolUnAvailTimeLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewToolUnAvailTimeLstServiceImplement() *ToolUnAvailTimeLstServiceImplement {
	return &ToolUnAvailTimeLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.InsertOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) InsertOne(user *global.User, entity *model.ToolUnAvailTimeLst) error {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "InsertOneToolUnAvailTimeLst", "插入一个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.ToolId, entity.DetailId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) DeleteOne(user *global.User, toolId string, detailId string) error {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "DeleteOneToolUnAvailTimeLst", "删除一个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(toolId, detailId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(toolId, detailId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.SelectOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) SelectOne(user *global.User, toolId string, detailId string) (*model.ToolUnAvailTimeLst, error) {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "SelectOneToolUnAvailTimeLst", "查询一个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(toolId, detailId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) UpdateOne(user *global.User, entity *model.ToolUnAvailTimeLst) error {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "UpdateOneToolUnAvailTimeLst", "修改一个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.ToolId, entity.DetailId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.Insert
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) Insert(user *global.User, entities *[]model.ToolUnAvailTimeLst) error {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "InsertToolUnAvailTimeLst", "插入多个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ToolId, entity.DetailId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.Delete
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) Delete(user *global.User, entities *[]model.ToolUnAvailTimeLst) error {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "DeleteToolUnAvailTimeLst", "删除多个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ToolId, entity.DetailId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.Select
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.ToolUnAvailTimeLst, error) {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "SelectToolUnAvailTimeLst", "查询ToolUnAvailTimeLst")

	condition := DefaultConditionOfToolUnAvailTimeLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "SelectToolUnAvailTimeLst", "查询ToolUnAvailTimeLst")

	condition := DefaultConditionOfToolUnAvailTimeLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/base/ToolUnAvailTimeLstService.Update
 *
 ******************************************************************************/
func (impl *ToolUnAvailTimeLstServiceImplement) Update(user *global.User, entities *[]model.ToolUnAvailTimeLst) error {

	grmi.Log(user, "/services/base/implments/ToolUnAvailTimeLst.service.impl.go", "UpdateToolUnAvailTimeLst", "修改多个ToolUnAvailTimeLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewToolUnAvailTimeLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.ToolId, entity.DetailId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
