// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperation的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperation = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperation_WorkOrderId.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperation_WorkOrderId, grmi.Equal, true),
		meta.WOOperation_OperationNr.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperation_OperationNr, grmi.Equal, true),
		meta.WOOperation_SplitNr.UrlParameterName:                      grmi.NewConditionItem(meta.WOOperation_SplitNr, grmi.Equal, true),
		meta.WOOperation_Descr.UrlParameterName:                        grmi.NewConditionItem(meta.WOOperation_Descr, grmi.Equal, false),
		meta.WOOperation_StandardOperationId.UrlParameterName:          grmi.NewConditionItem(meta.WOOperation_StandardOperationId, grmi.Equal, false),
		meta.WOOperation_OperationType.UrlParameterName:                grmi.NewConditionItem(meta.WOOperation_OperationType, grmi.Equal, false),
		meta.WOOperation_WorkPlaceGrpId.UrlParameterName:               grmi.NewConditionItem(meta.WOOperation_WorkPlaceGrpId, grmi.Equal, false),
		meta.WOOperation_WorkPlaceId.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperation_WorkPlaceId, grmi.Equal, false),
		meta.WOOperation_UsedWorkPlaceId.UrlParameterName:              grmi.NewConditionItem(meta.WOOperation_UsedWorkPlaceId, grmi.Equal, false),
		meta.WOOperation_SetupDuration.UrlParameterName:                grmi.NewConditionItem(meta.WOOperation_SetupDuration, grmi.Equal, false),
		meta.WOOperation_AfterProcessDuration.UrlParameterName:         grmi.NewConditionItem(meta.WOOperation_AfterProcessDuration, grmi.Equal, false),
		meta.WOOperation_DurationUomId.UrlParameterName:                grmi.NewConditionItem(meta.WOOperation_DurationUomId, grmi.Equal, false),
		meta.WOOperation_PlanStartTime.UrlParameterName:                grmi.NewConditionItem(meta.WOOperation_PlanStartTime, grmi.Equal, false),
		meta.WOOperation_PlanEndTime.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperation_PlanEndTime, grmi.Equal, false),
		meta.WOOperation_ActStartTime.UrlParameterName:                 grmi.NewConditionItem(meta.WOOperation_ActStartTime, grmi.Equal, false),
		meta.WOOperation_ActEndTime.UrlParameterName:                   grmi.NewConditionItem(meta.WOOperation_ActEndTime, grmi.Equal, false),
		meta.WOOperation_PlanQty.UrlParameterName:                      grmi.NewConditionItem(meta.WOOperation_PlanQty, grmi.Equal, false),
		meta.WOOperation_PlanScrapRate.UrlParameterName:                grmi.NewConditionItem(meta.WOOperation_PlanScrapRate, grmi.Equal, false),
		meta.WOOperation_RatePerHourToggle.UrlParameterName:            grmi.NewConditionItem(meta.WOOperation_RatePerHourToggle, grmi.Equal, false),
		meta.WOOperation_TimePerItemToggle.UrlParameterName:            grmi.NewConditionItem(meta.WOOperation_TimePerItemToggle, grmi.Equal, false),
		meta.WOOperation_TimePerBatchToggle.UrlParameterName:           grmi.NewConditionItem(meta.WOOperation_TimePerBatchToggle, grmi.Equal, false),
		meta.WOOperation_BatchTimeFieldToggle.UrlParameterName:         grmi.NewConditionItem(meta.WOOperation_BatchTimeFieldToggle, grmi.Equal, false),
		meta.WOOperation_OpTimePerItem.UrlParameterName:                grmi.NewConditionItem(meta.WOOperation_OpTimePerItem, grmi.Equal, false),
		meta.WOOperation_BatchTime.UrlParameterName:                    grmi.NewConditionItem(meta.WOOperation_BatchTime, grmi.Equal, false),
		meta.WOOperation_QuantityPerHour.UrlParameterName:              grmi.NewConditionItem(meta.WOOperation_QuantityPerHour, grmi.Equal, false),
		meta.WOOperation_MidBatchQuantity.UrlParameterName:             grmi.NewConditionItem(meta.WOOperation_MidBatchQuantity, grmi.Equal, false),
		meta.WOOperation_MidBatchTime.UrlParameterName:                 grmi.NewConditionItem(meta.WOOperation_MidBatchTime, grmi.Approximate, false),
		meta.WOOperation_EffectiveOpTime.UrlParameterName:              grmi.NewConditionItem(meta.WOOperation_EffectiveOpTime, grmi.Equal, false),
		meta.WOOperation_BatchingMethod.UrlParameterName:               grmi.NewConditionItem(meta.WOOperation_BatchingMethod, grmi.Equal, false),
		meta.WOOperation_TransferToggle.UrlParameterName:               grmi.NewConditionItem(meta.WOOperation_TransferToggle, grmi.Equal, false),
		meta.WOOperation_SplitToggle.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperation_SplitToggle, grmi.Equal, false),
		meta.WOOperation_TransferQuantity.UrlParameterName:             grmi.NewConditionItem(meta.WOOperation_TransferQuantity, grmi.Equal, false),
		meta.WOOperation_LotSize.UrlParameterName:                      grmi.NewConditionItem(meta.WOOperation_LotSize, grmi.Equal, false),
		meta.WOOperation_MaxTimeBeforeNextOp.UrlParameterName:          grmi.NewConditionItem(meta.WOOperation_MaxTimeBeforeNextOp, grmi.Equal, false),
		meta.WOOperation_MaximumOperationSpanIncrease.UrlParameterName: grmi.NewConditionItem(meta.WOOperation_MaximumOperationSpanIncrease, grmi.Equal, false),
		meta.WOOperation_SlackTimeAfterLastOperation.UrlParameterName:  grmi.NewConditionItem(meta.WOOperation_SlackTimeAfterLastOperation, grmi.Equal, false),
		meta.WOOperation_LastModify.UrlParameterName:                   grmi.NewConditionItem(meta.WOOperation_LastModify, grmi.Approximate, false),
		meta.WOOperation_LastUser.UrlParameterName:                     grmi.NewConditionItem(meta.WOOperation_LastUser, grmi.Equal, false),
		meta.WOOperation_CreateTime.UrlParameterName:                   grmi.NewConditionItem(meta.WOOperation_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperation的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperation.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperation的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationDAOImplement实例
 *
 * @Return Value             : WOOperationDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationServiceImplement() *WOOperationServiceImplement {
	return &WOOperationServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) InsertOne(user *global.User, entity *model.WOOperation) error {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "InsertOneWOOperation", "插入一个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int) error {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "DeleteOneWOOperation", "删除一个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int) (*model.WOOperation, error) {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "SelectOneWOOperation", "查询一个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) UpdateOne(user *global.User, entity *model.WOOperation) error {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "UpdateOneWOOperation", "修改一个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) Insert(user *global.User, entities *[]model.WOOperation) error {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "InsertWOOperation", "插入多个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) Delete(user *global.User, entities *[]model.WOOperation) error {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "DeleteWOOperation", "删除多个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.Select
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperation, error) {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "SelectWOOperation", "查询WOOperation")

	condition := DefaultConditionOfWOOperationAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "SelectWOOperation", "查询WOOperation")

	condition := DefaultConditionOfWOOperationAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationService.Update
 *
 ******************************************************************************/
func (impl *WOOperationServiceImplement) Update(user *global.User, entities *[]model.WOOperation) error {

	grmi.Log(user, "/services/om/implments/WOOperation.service.impl.go", "UpdateWOOperation", "修改多个WOOperation")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
