// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationArtLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationArtLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationArtLst_WorkOrderId.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationArtLst_OperationNr.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtLst_OperationNr, grmi.Equal, true),
		meta.WOOperationArtLst_SplitNr.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationArtLst_SplitNr, grmi.Equal, true),
		meta.WOOperationArtLst_ArtId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationArtLst_ArtId, grmi.Equal, true),
		meta.WOOperationArtLst_Descr.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationArtLst_Descr, grmi.Equal, false),
		meta.WOOperationArtLst_BasisQty.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtLst_BasisQty, grmi.Equal, false),
		meta.WOOperationArtLst_PlanQty.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationArtLst_PlanQty, grmi.Equal, false),
		meta.WOOperationArtLst_ActQty.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationArtLst_ActQty, grmi.Equal, false),
		meta.WOOperationArtLst_QtyUomId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtLst_QtyUomId, grmi.Equal, false),
		meta.WOOperationArtLst_CtrlPara1.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationArtLst_CtrlPara1, grmi.Equal, false),
		meta.WOOperationArtLst_CtrlPara2.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationArtLst_CtrlPara2, grmi.Equal, false),
		meta.WOOperationArtLst_CtrlStr1.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtLst_CtrlStr1, grmi.Equal, false),
		meta.WOOperationArtLst_CtrlStr2.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtLst_CtrlStr2, grmi.Equal, false),
		meta.WOOperationArtLst_LastModify.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationArtLst_LastModify, grmi.Approximate, false),
		meta.WOOperationArtLst_LastUser.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtLst_LastUser, grmi.Equal, false),
		meta.WOOperationArtLst_CreateTime.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationArtLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationArtLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationArtLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationArtLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationArtLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationArtLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationArtLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationArtLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationArtLstDAOImplement实例
 *
 * @Return Value             : WOOperationArtLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationArtLstServiceImplement() *WOOperationArtLstServiceImplement {
	return &WOOperationArtLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationArtLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "InsertOneWOOperationArtLst", "插入一个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, artId string) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "DeleteOneWOOperationArtLst", "删除一个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, artId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, artId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, artId string) (*model.WOOperationArtLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "SelectOneWOOperationArtLst", "查询一个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, artId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationArtLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "UpdateOneWOOperationArtLst", "修改一个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationArtLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "InsertWOOperationArtLst", "插入多个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationArtLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "DeleteWOOperationArtLst", "删除多个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationArtLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "SelectWOOperationArtLst", "查询WOOperationArtLst")

	condition := DefaultConditionOfWOOperationArtLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "SelectWOOperationArtLst", "查询WOOperationArtLst")

	condition := DefaultConditionOfWOOperationArtLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationArtLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationArtLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtLst.service.impl.go", "UpdateWOOperationArtLst", "修改多个WOOperationArtLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
