// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationArtQtyRecLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationArtQtyRecLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationArtQtyRecLst_WorkOrderId.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationArtQtyRecLst_OperationNr.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_OperationNr, grmi.Equal, true),
		meta.WOOperationArtQtyRecLst_SplitNr.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_SplitNr, grmi.Equal, true),
		meta.WOOperationArtQtyRecLst_Pos.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_Pos, grmi.Equal, true),
		meta.WOOperationArtQtyRecLst_ArtId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_ArtId, grmi.Equal, true),
		meta.WOOperationArtQtyRecLst_ActQty.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_ActQty, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_QtyUomId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_QtyUomId, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_BatchId.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_BatchId, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_ArtTypeId.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_ArtTypeId, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_WorkPlaceNr.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_WorkPlaceNr, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_ConsumeTime.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_ConsumeTime, grmi.Approximate, false),
		meta.WOOperationArtQtyRecLst_WarehouseNr.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_WarehouseNr, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_AreaId.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_AreaId, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_RackId.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_RackId, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_PositionId.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_PositionId, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_PackageUnit.UrlParameterName: grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_PackageUnit, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_CtrlPara1.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_CtrlPara1, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_CtrlPara2.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_CtrlPara2, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_CtrlStr1.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_CtrlStr1, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_CtrlStr2.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_CtrlStr2, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_LastModify.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_LastModify, grmi.Approximate, false),
		meta.WOOperationArtQtyRecLst_LastUser.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_LastUser, grmi.Equal, false),
		meta.WOOperationArtQtyRecLst_CreateTime.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationArtQtyRecLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationArtQtyRecLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationArtQtyRecLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationArtQtyRecLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationArtQtyRecLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationArtQtyRecLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationArtQtyRecLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationArtQtyRecLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationArtQtyRecLstDAOImplement实例
 *
 * @Return Value             : WOOperationArtQtyRecLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationArtQtyRecLstServiceImplement() *WOOperationArtQtyRecLstServiceImplement {
	return &WOOperationArtQtyRecLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationArtQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "InsertOneWOOperationArtQtyRecLst", "插入一个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos, entity.ArtId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, pos int, artId string) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "DeleteOneWOOperationArtQtyRecLst", "删除一个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, pos, artId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, pos, artId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, pos int, artId string) (*model.WOOperationArtQtyRecLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "SelectOneWOOperationArtQtyRecLst", "查询一个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, pos, artId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationArtQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "UpdateOneWOOperationArtQtyRecLst", "修改一个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos, entity.ArtId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationArtQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "InsertWOOperationArtQtyRecLst", "插入多个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos, entity.ArtId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationArtQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "DeleteWOOperationArtQtyRecLst", "删除多个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos, entity.ArtId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationArtQtyRecLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "SelectWOOperationArtQtyRecLst", "查询WOOperationArtQtyRecLst")

	condition := DefaultConditionOfWOOperationArtQtyRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "SelectWOOperationArtQtyRecLst", "查询WOOperationArtQtyRecLst")

	condition := DefaultConditionOfWOOperationArtQtyRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationArtQtyRecLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationArtQtyRecLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationArtQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationArtQtyRecLst.service.impl.go", "UpdateWOOperationArtQtyRecLst", "修改多个WOOperationArtQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationArtQtyRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos, entity.ArtId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
