// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationQty的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationQty = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationQty_WorkOrderId.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationQty_WorkOrderId, grmi.Equal, true),
		meta.WOOperationQty_OperationNr.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationQty_OperationNr, grmi.Equal, true),
		meta.WOOperationQty_SplitNr.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQty_SplitNr, grmi.Equal, true),
		meta.WOOperationQty_ActQty.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationQty_ActQty, grmi.Equal, false),
		meta.WOOperationQty_GoodQty.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQty_GoodQty, grmi.Equal, false),
		meta.WOOperationQty_ScrapQty.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationQty_ScrapQty, grmi.Equal, false),
		meta.WOOperationQty_ReworkQty.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationQty_ReworkQty, grmi.Equal, false),
		meta.WOOperationQty_QuarantineQty.UrlParameterName: grmi.NewConditionItem(meta.WOOperationQty_QuarantineQty, grmi.Equal, false),
		meta.WOOperationQty_FrozenQty.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationQty_FrozenQty, grmi.Equal, false),
		meta.WOOperationQty_ActQty1.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQty_ActQty1, grmi.Equal, false),
		meta.WOOperationQty_ActQty2.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQty_ActQty2, grmi.Equal, false),
		meta.WOOperationQty_ActQty3.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQty_ActQty3, grmi.Equal, false),
		meta.WOOperationQty_ActQty4.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQty_ActQty4, grmi.Equal, false),
		meta.WOOperationQty_LastModify.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationQty_LastModify, grmi.Approximate, false),
		meta.WOOperationQty_LastUser.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationQty_LastUser, grmi.Equal, false),
		meta.WOOperationQty_CreateTime.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationQty_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationQty的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationQtyAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationQty.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationQtyServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationQty的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationQtyServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationQtyDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationQtyDAOImplement实例
 *
 * @Return Value             : WOOperationQtyDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationQtyServiceImplement() *WOOperationQtyServiceImplement {
	return &WOOperationQtyServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) InsertOne(user *global.User, entity *model.WOOperationQty) error {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "InsertOneWOOperationQty", "插入一个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int) error {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "DeleteOneWOOperationQty", "删除一个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int) (*model.WOOperationQty, error) {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "SelectOneWOOperationQty", "查询一个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationQty) error {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "UpdateOneWOOperationQty", "修改一个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) Insert(user *global.User, entities *[]model.WOOperationQty) error {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "InsertWOOperationQty", "插入多个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) Delete(user *global.User, entities *[]model.WOOperationQty) error {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "DeleteWOOperationQty", "删除多个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.Select
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationQty, error) {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "SelectWOOperationQty", "查询WOOperationQty")

	condition := DefaultConditionOfWOOperationQtyAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "SelectWOOperationQty", "查询WOOperationQty")

	condition := DefaultConditionOfWOOperationQtyAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyService.Update
 *
 ******************************************************************************/
func (impl *WOOperationQtyServiceImplement) Update(user *global.User, entities *[]model.WOOperationQty) error {

	grmi.Log(user, "/services/om/implments/WOOperationQty.service.impl.go", "UpdateWOOperationQty", "修改多个WOOperationQty")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
