// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationQtyRecLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationQtyRecLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationQtyRecLst_WorkOrderId.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationQtyRecLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationQtyRecLst_OperationNr.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationQtyRecLst_OperationNr, grmi.Equal, true),
		meta.WOOperationQtyRecLst_SplitNr.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationQtyRecLst_SplitNr, grmi.Equal, true),
		meta.WOOperationQtyRecLst_Pos.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperationQtyRecLst_Pos, grmi.Equal, true),
		meta.WOOperationQtyRecLst_ActQty.UrlParameterName:               grmi.NewConditionItem(meta.WOOperationQtyRecLst_ActQty, grmi.Equal, false),
		meta.WOOperationQtyRecLst_OrderQtyType.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationQtyRecLst_OrderQtyType, grmi.Equal, false),
		meta.WOOperationQtyRecLst_RecordTime.UrlParameterName:           grmi.NewConditionItem(meta.WOOperationQtyRecLst_RecordTime, grmi.Equal, false),
		meta.WOOperationQtyRecLst_TriggerEvent.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationQtyRecLst_TriggerEvent, grmi.Equal, false),
		meta.WOOperationQtyRecLst_TriggerObjectId.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationQtyRecLst_TriggerObjectId, grmi.Equal, false),
		meta.WOOperationQtyRecLst_TriggerSubObjectId.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationQtyRecLst_TriggerSubObjectId, grmi.Equal, false),
		meta.WOOperationQtyRecLst_OutputStatus.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationQtyRecLst_OutputStatus, grmi.Equal, false),
		meta.WOOperationQtyRecLst_OutputEvent.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationQtyRecLst_OutputEvent, grmi.Equal, false),
		meta.WOOperationQtyRecLst_OutputEventMessageId.UrlParameterName: grmi.NewConditionItem(meta.WOOperationQtyRecLst_OutputEventMessageId, grmi.Equal, false),
		meta.WOOperationQtyRecLst_OutputObjectId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationQtyRecLst_OutputObjectId, grmi.Equal, false),
		meta.WOOperationQtyRecLst_OutputSubObjectId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationQtyRecLst_OutputSubObjectId, grmi.Equal, false),
		meta.WOOperationQtyRecLst_Remark1.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationQtyRecLst_Remark1, grmi.Equal, false),
		meta.WOOperationQtyRecLst_Remark2.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationQtyRecLst_Remark2, grmi.Equal, false),
		meta.WOOperationQtyRecLst_LastModify.UrlParameterName:           grmi.NewConditionItem(meta.WOOperationQtyRecLst_LastModify, grmi.Approximate, false),
		meta.WOOperationQtyRecLst_LastUser.UrlParameterName:             grmi.NewConditionItem(meta.WOOperationQtyRecLst_LastUser, grmi.Equal, false),
		meta.WOOperationQtyRecLst_CreateTime.UrlParameterName:           grmi.NewConditionItem(meta.WOOperationQtyRecLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationQtyRecLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationQtyRecLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationQtyRecLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationQtyRecLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationQtyRecLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationQtyRecLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationQtyRecLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationQtyRecLstDAOImplement实例
 *
 * @Return Value             : WOOperationQtyRecLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationQtyRecLstServiceImplement() *WOOperationQtyRecLstServiceImplement {
	return &WOOperationQtyRecLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "InsertOneWOOperationQtyRecLst", "插入一个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, pos int) error {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "DeleteOneWOOperationQtyRecLst", "删除一个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, pos)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, pos int) (*model.WOOperationQtyRecLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "SelectOneWOOperationQtyRecLst", "查询一个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, pos)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "UpdateOneWOOperationQtyRecLst", "修改一个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "InsertWOOperationQtyRecLst", "插入多个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "DeleteWOOperationQtyRecLst", "删除多个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationQtyRecLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "SelectWOOperationQtyRecLst", "查询WOOperationQtyRecLst")

	condition := DefaultConditionOfWOOperationQtyRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "SelectWOOperationQtyRecLst", "查询WOOperationQtyRecLst")

	condition := DefaultConditionOfWOOperationQtyRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationQtyRecLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationQtyRecLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationQtyRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationQtyRecLst.service.impl.go", "UpdateWOOperationQtyRecLst", "修改多个WOOperationQtyRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationQtyRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
