// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationResourceLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationResourceLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationResourceLst_WorkOrderId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationResourceLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationResourceLst_OperationNr.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationResourceLst_OperationNr, grmi.Equal, true),
		meta.WOOperationResourceLst_SplitNr.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationResourceLst_SplitNr, grmi.Equal, true),
		meta.WOOperationResourceLst_ResourceId.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationResourceLst_ResourceId, grmi.Equal, true),
		meta.WOOperationResourceLst_Descr.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationResourceLst_Descr, grmi.Equal, false),
		meta.WOOperationResourceLst_BasisQty.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationResourceLst_BasisQty, grmi.Equal, false),
		meta.WOOperationResourceLst_PlanQty.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationResourceLst_PlanQty, grmi.Equal, false),
		meta.WOOperationResourceLst_ActQty.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationResourceLst_ActQty, grmi.Equal, false),
		meta.WOOperationResourceLst_QtyUomId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationResourceLst_QtyUomId, grmi.Equal, false),
		meta.WOOperationResourceLst_OPDemandPeriod.UrlParameterName: grmi.NewConditionItem(meta.WOOperationResourceLst_OPDemandPeriod, grmi.Equal, false),
		meta.WOOperationResourceLst_CtrlPara1.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationResourceLst_CtrlPara1, grmi.Equal, false),
		meta.WOOperationResourceLst_CtrlPara2.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationResourceLst_CtrlPara2, grmi.Equal, false),
		meta.WOOperationResourceLst_CtrlStr1.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationResourceLst_CtrlStr1, grmi.Equal, false),
		meta.WOOperationResourceLst_CtrlStr2.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationResourceLst_CtrlStr2, grmi.Equal, false),
		meta.WOOperationResourceLst_LastModify.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationResourceLst_LastModify, grmi.Approximate, false),
		meta.WOOperationResourceLst_LastUser.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationResourceLst_LastUser, grmi.Equal, false),
		meta.WOOperationResourceLst_CreateTime.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationResourceLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationResourceLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationResourceLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationResourceLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationResourceLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationResourceLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationResourceLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationResourceLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationResourceLstDAOImplement实例
 *
 * @Return Value             : WOOperationResourceLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationResourceLstServiceImplement() *WOOperationResourceLstServiceImplement {
	return &WOOperationResourceLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationResourceLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "InsertOneWOOperationResourceLst", "插入一个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ResourceId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, resourceId string) error {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "DeleteOneWOOperationResourceLst", "删除一个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, resourceId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, resourceId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, resourceId string) (*model.WOOperationResourceLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "SelectOneWOOperationResourceLst", "查询一个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, resourceId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationResourceLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "UpdateOneWOOperationResourceLst", "修改一个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ResourceId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationResourceLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "InsertWOOperationResourceLst", "插入多个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ResourceId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationResourceLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "DeleteWOOperationResourceLst", "删除多个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ResourceId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationResourceLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "SelectWOOperationResourceLst", "查询WOOperationResourceLst")

	condition := DefaultConditionOfWOOperationResourceLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "SelectWOOperationResourceLst", "查询WOOperationResourceLst")

	condition := DefaultConditionOfWOOperationResourceLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationResourceLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationResourceLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationResourceLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationResourceLst.service.impl.go", "UpdateWOOperationResourceLst", "修改多个WOOperationResourceLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationResourceLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ResourceId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
