// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationSkillLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationSkillLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationSkillLst_WorkOrderId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationSkillLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationSkillLst_OperationNr.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationSkillLst_OperationNr, grmi.Equal, true),
		meta.WOOperationSkillLst_SplitNr.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationSkillLst_SplitNr, grmi.Equal, true),
		meta.WOOperationSkillLst_SkillNr.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationSkillLst_SkillNr, grmi.Equal, true),
		meta.WOOperationSkillLst_Descr.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationSkillLst_Descr, grmi.Equal, false),
		meta.WOOperationSkillLst_BasisQty.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationSkillLst_BasisQty, grmi.Equal, false),
		meta.WOOperationSkillLst_PlanQty.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationSkillLst_PlanQty, grmi.Equal, false),
		meta.WOOperationSkillLst_ActQty.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationSkillLst_ActQty, grmi.Equal, false),
		meta.WOOperationSkillLst_QtyUomId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationSkillLst_QtyUomId, grmi.Equal, false),
		meta.WOOperationSkillLst_OPDemandPeriod.UrlParameterName: grmi.NewConditionItem(meta.WOOperationSkillLst_OPDemandPeriod, grmi.Equal, false),
		meta.WOOperationSkillLst_CtrlPara1.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationSkillLst_CtrlPara1, grmi.Equal, false),
		meta.WOOperationSkillLst_CtrlPara2.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationSkillLst_CtrlPara2, grmi.Equal, false),
		meta.WOOperationSkillLst_CtrlStr1.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationSkillLst_CtrlStr1, grmi.Equal, false),
		meta.WOOperationSkillLst_CtrlStr2.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationSkillLst_CtrlStr2, grmi.Equal, false),
		meta.WOOperationSkillLst_LastModify.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationSkillLst_LastModify, grmi.Approximate, false),
		meta.WOOperationSkillLst_LastUser.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationSkillLst_LastUser, grmi.Equal, false),
		meta.WOOperationSkillLst_CreateTime.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationSkillLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationSkillLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationSkillLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationSkillLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationSkillLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationSkillLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationSkillLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationSkillLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationSkillLstDAOImplement实例
 *
 * @Return Value             : WOOperationSkillLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationSkillLstServiceImplement() *WOOperationSkillLstServiceImplement {
	return &WOOperationSkillLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationSkillLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "InsertOneWOOperationSkillLst", "插入一个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.SkillNr)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, skillNr int) error {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "DeleteOneWOOperationSkillLst", "删除一个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, skillNr)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, skillNr)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, skillNr int) (*model.WOOperationSkillLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "SelectOneWOOperationSkillLst", "查询一个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, skillNr)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationSkillLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "UpdateOneWOOperationSkillLst", "修改一个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.SkillNr)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationSkillLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "InsertWOOperationSkillLst", "插入多个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.SkillNr)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationSkillLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "DeleteWOOperationSkillLst", "删除多个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.SkillNr)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationSkillLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "SelectWOOperationSkillLst", "查询WOOperationSkillLst")

	condition := DefaultConditionOfWOOperationSkillLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "SelectWOOperationSkillLst", "查询WOOperationSkillLst")

	condition := DefaultConditionOfWOOperationSkillLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationSkillLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationSkillLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationSkillLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationSkillLst.service.impl.go", "UpdateWOOperationSkillLst", "修改多个WOOperationSkillLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationSkillLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.SkillNr)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
