// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationStatusRecLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationStatusRecLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationStatusRecLst_WorkOrderId.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationStatusRecLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationStatusRecLst_OperationNr.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationStatusRecLst_OperationNr, grmi.Equal, true),
		meta.WOOperationStatusRecLst_SplitNr.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationStatusRecLst_SplitNr, grmi.Equal, true),
		meta.WOOperationStatusRecLst_Pos.UrlParameterName:                  grmi.NewConditionItem(meta.WOOperationStatusRecLst_Pos, grmi.Equal, true),
		meta.WOOperationStatusRecLst_PrevStatus.UrlParameterName:           grmi.NewConditionItem(meta.WOOperationStatusRecLst_PrevStatus, grmi.Equal, false),
		meta.WOOperationStatusRecLst_Status.UrlParameterName:               grmi.NewConditionItem(meta.WOOperationStatusRecLst_Status, grmi.Equal, false),
		meta.WOOperationStatusRecLst_StartTime.UrlParameterName:            grmi.NewConditionItem(meta.WOOperationStatusRecLst_StartTime, grmi.Equal, false),
		meta.WOOperationStatusRecLst_EndTime.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationStatusRecLst_EndTime, grmi.Equal, false),
		meta.WOOperationStatusRecLst_TriggerEvent.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationStatusRecLst_TriggerEvent, grmi.Equal, false),
		meta.WOOperationStatusRecLst_TriggerObjectId.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationStatusRecLst_TriggerObjectId, grmi.Equal, false),
		meta.WOOperationStatusRecLst_TriggerSubObjectId.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationStatusRecLst_TriggerSubObjectId, grmi.Equal, false),
		meta.WOOperationStatusRecLst_OutputStatus.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationStatusRecLst_OutputStatus, grmi.Equal, false),
		meta.WOOperationStatusRecLst_OutputEvent.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationStatusRecLst_OutputEvent, grmi.Equal, false),
		meta.WOOperationStatusRecLst_OutputEventMessageId.UrlParameterName: grmi.NewConditionItem(meta.WOOperationStatusRecLst_OutputEventMessageId, grmi.Equal, false),
		meta.WOOperationStatusRecLst_OutputObjectId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationStatusRecLst_OutputObjectId, grmi.Equal, false),
		meta.WOOperationStatusRecLst_OutputSubObjectId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationStatusRecLst_OutputSubObjectId, grmi.Equal, false),
		meta.WOOperationStatusRecLst_Remark1.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationStatusRecLst_Remark1, grmi.Equal, false),
		meta.WOOperationStatusRecLst_Remark2.UrlParameterName:              grmi.NewConditionItem(meta.WOOperationStatusRecLst_Remark2, grmi.Equal, false),
		meta.WOOperationStatusRecLst_LastModify.UrlParameterName:           grmi.NewConditionItem(meta.WOOperationStatusRecLst_LastModify, grmi.Approximate, false),
		meta.WOOperationStatusRecLst_LastUser.UrlParameterName:             grmi.NewConditionItem(meta.WOOperationStatusRecLst_LastUser, grmi.Equal, false),
		meta.WOOperationStatusRecLst_CreateTime.UrlParameterName:           grmi.NewConditionItem(meta.WOOperationStatusRecLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationStatusRecLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationStatusRecLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationStatusRecLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationStatusRecLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationStatusRecLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationStatusRecLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationStatusRecLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationStatusRecLstDAOImplement实例
 *
 * @Return Value             : WOOperationStatusRecLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationStatusRecLstServiceImplement() *WOOperationStatusRecLstServiceImplement {
	return &WOOperationStatusRecLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "InsertOneWOOperationStatusRecLst", "插入一个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, pos int) error {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "DeleteOneWOOperationStatusRecLst", "删除一个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, pos)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, pos int) (*model.WOOperationStatusRecLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "SelectOneWOOperationStatusRecLst", "查询一个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, pos)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "UpdateOneWOOperationStatusRecLst", "修改一个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "InsertWOOperationStatusRecLst", "插入多个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "DeleteWOOperationStatusRecLst", "删除多个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationStatusRecLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "SelectWOOperationStatusRecLst", "查询WOOperationStatusRecLst")

	condition := DefaultConditionOfWOOperationStatusRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "SelectWOOperationStatusRecLst", "查询WOOperationStatusRecLst")

	condition := DefaultConditionOfWOOperationStatusRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationStatusRecLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationStatusRecLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationStatusRecLst.service.impl.go", "UpdateWOOperationStatusRecLst", "修改多个WOOperationStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationStatusRecLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
