// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationToolLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationToolLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationToolLst_WorkOrderId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationToolLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationToolLst_OperationNr.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationToolLst_OperationNr, grmi.Equal, true),
		meta.WOOperationToolLst_SplitNr.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationToolLst_SplitNr, grmi.Equal, true),
		meta.WOOperationToolLst_ToolGrpId.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationToolLst_ToolGrpId, grmi.Equal, true),
		meta.WOOperationToolLst_Descr.UrlParameterName:          grmi.NewConditionItem(meta.WOOperationToolLst_Descr, grmi.Equal, false),
		meta.WOOperationToolLst_BasisQty.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationToolLst_BasisQty, grmi.Equal, false),
		meta.WOOperationToolLst_PlanQty.UrlParameterName:        grmi.NewConditionItem(meta.WOOperationToolLst_PlanQty, grmi.Equal, false),
		meta.WOOperationToolLst_ActQty.UrlParameterName:         grmi.NewConditionItem(meta.WOOperationToolLst_ActQty, grmi.Equal, false),
		meta.WOOperationToolLst_QtyUomId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationToolLst_QtyUomId, grmi.Equal, false),
		meta.WOOperationToolLst_OPDemandPeriod.UrlParameterName: grmi.NewConditionItem(meta.WOOperationToolLst_OPDemandPeriod, grmi.Equal, false),
		meta.WOOperationToolLst_CtrlPara1.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationToolLst_CtrlPara1, grmi.Equal, false),
		meta.WOOperationToolLst_CtrlPara2.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationToolLst_CtrlPara2, grmi.Equal, false),
		meta.WOOperationToolLst_CtrlStr1.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationToolLst_CtrlStr1, grmi.Equal, false),
		meta.WOOperationToolLst_CtrlStr2.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationToolLst_CtrlStr2, grmi.Equal, false),
		meta.WOOperationToolLst_LastModify.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationToolLst_LastModify, grmi.Approximate, false),
		meta.WOOperationToolLst_LastUser.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationToolLst_LastUser, grmi.Equal, false),
		meta.WOOperationToolLst_CreateTime.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationToolLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationToolLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationToolLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationToolLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationToolLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationToolLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationToolLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationToolLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationToolLstDAOImplement实例
 *
 * @Return Value             : WOOperationToolLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationToolLstServiceImplement() *WOOperationToolLstServiceImplement {
	return &WOOperationToolLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationToolLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "InsertOneWOOperationToolLst", "插入一个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ToolGrpId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, toolGrpId string) error {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "DeleteOneWOOperationToolLst", "删除一个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, toolGrpId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, toolGrpId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, toolGrpId string) (*model.WOOperationToolLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "SelectOneWOOperationToolLst", "查询一个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, toolGrpId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationToolLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "UpdateOneWOOperationToolLst", "修改一个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ToolGrpId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationToolLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "InsertWOOperationToolLst", "插入多个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ToolGrpId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationToolLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "DeleteWOOperationToolLst", "删除多个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ToolGrpId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationToolLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "SelectWOOperationToolLst", "查询WOOperationToolLst")

	condition := DefaultConditionOfWOOperationToolLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "SelectWOOperationToolLst", "查询WOOperationToolLst")

	condition := DefaultConditionOfWOOperationToolLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationToolLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationToolLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationToolLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationToolLst.service.impl.go", "UpdateWOOperationToolLst", "修改多个WOOperationToolLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationToolLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ToolGrpId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
