// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_AS/dao/om"
	"LAPP_AS/db"
	"LAPP_AS/global"
	"LAPP_AS/grmi"
	meta "LAPP_AS/meta/om"
	model "LAPP_AS/models/om"
)

/******************************************************************************
 *
 * @Description              : WOOperationYieldLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationYieldLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.WOOperationYieldLst_WorkOrderId.UrlParameterName: grmi.NewConditionItem(meta.WOOperationYieldLst_WorkOrderId, grmi.Equal, true),
		meta.WOOperationYieldLst_OperationNr.UrlParameterName: grmi.NewConditionItem(meta.WOOperationYieldLst_OperationNr, grmi.Equal, true),
		meta.WOOperationYieldLst_SplitNr.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationYieldLst_SplitNr, grmi.Equal, true),
		meta.WOOperationYieldLst_ArtId.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationYieldLst_ArtId, grmi.Equal, true),
		meta.WOOperationYieldLst_Descr.UrlParameterName:       grmi.NewConditionItem(meta.WOOperationYieldLst_Descr, grmi.Equal, false),
		meta.WOOperationYieldLst_BasisQty.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationYieldLst_BasisQty, grmi.Equal, false),
		meta.WOOperationYieldLst_PlanQty.UrlParameterName:     grmi.NewConditionItem(meta.WOOperationYieldLst_PlanQty, grmi.Equal, false),
		meta.WOOperationYieldLst_ActQty.UrlParameterName:      grmi.NewConditionItem(meta.WOOperationYieldLst_ActQty, grmi.Equal, false),
		meta.WOOperationYieldLst_QtyUomId.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationYieldLst_QtyUomId, grmi.Equal, false),
		meta.WOOperationYieldLst_CtrlPara1.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationYieldLst_CtrlPara1, grmi.Equal, false),
		meta.WOOperationYieldLst_CtrlPara2.UrlParameterName:   grmi.NewConditionItem(meta.WOOperationYieldLst_CtrlPara2, grmi.Equal, false),
		meta.WOOperationYieldLst_CtrlStr1.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationYieldLst_CtrlStr1, grmi.Equal, false),
		meta.WOOperationYieldLst_CtrlStr2.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationYieldLst_CtrlStr2, grmi.Equal, false),
		meta.WOOperationYieldLst_LastModify.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationYieldLst_LastModify, grmi.Approximate, false),
		meta.WOOperationYieldLst_LastUser.UrlParameterName:    grmi.NewConditionItem(meta.WOOperationYieldLst_LastUser, grmi.Equal, false),
		meta.WOOperationYieldLst_CreateTime.UrlParameterName:  grmi.NewConditionItem(meta.WOOperationYieldLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : WOOperationYieldLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
var DefaultConditionOfWOOperationYieldLstAndPaging = grmi.NewCondition(
	DefaultConditionOfWOOperationYieldLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : WOOperationYieldLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : WOOperationYieldLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
type WOOperationYieldLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewWOOperationYieldLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WOOperationYieldLstDAOImplement实例
 *
 * @Return Value             : WOOperationYieldLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func NewWOOperationYieldLstServiceImplement() *WOOperationYieldLstServiceImplement {
	return &WOOperationYieldLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.InsertOne
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) InsertOne(user *global.User, entity *model.WOOperationYieldLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "InsertOneWOOperationYieldLst", "插入一个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) DeleteOne(user *global.User, workOrderId string, operationNr int, splitNr int, artId string) error {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "DeleteOneWOOperationYieldLst", "删除一个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(workOrderId, operationNr, splitNr, artId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(workOrderId, operationNr, splitNr, artId)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.SelectOne
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) SelectOne(user *global.User, workOrderId string, operationNr int, splitNr int, artId string) (*model.WOOperationYieldLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "SelectOneWOOperationYieldLst", "查询一个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.SelectOne(workOrderId, operationNr, splitNr, artId)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) UpdateOne(user *global.User, entity *model.WOOperationYieldLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "UpdateOneWOOperationYieldLst", "修改一个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)
	record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.Insert
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) Insert(user *global.User, entities *[]model.WOOperationYieldLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "InsertWOOperationYieldLst", "插入多个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.Delete
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) Delete(user *global.User, entities *[]model.WOOperationYieldLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "DeleteWOOperationYieldLst", "删除多个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.Select
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) Select(user *global.User, urlParameters map[string]string) ([]model.WOOperationYieldLst, error) {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "SelectWOOperationYieldLst", "查询WOOperationYieldLst")

	condition := DefaultConditionOfWOOperationYieldLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)
	result, err := dao.Select(predicates, condition.OrderByFields)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.SelectAndPaging
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) SelectAndPaging(user *global.User, urlParameters map[string]string) (grmi.PagingResult, error) {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "SelectWOOperationYieldLst", "查询WOOperationYieldLst")

	condition := DefaultConditionOfWOOperationYieldLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)
	condition.Fill(urlParameters)
	result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
	if err != nil {
		return grmi.EmptyPagingResult, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_AS/services/om/WOOperationYieldLstService.Update
 *
 ******************************************************************************/
func (impl *WOOperationYieldLstServiceImplement) Update(user *global.User, entities *[]model.WOOperationYieldLst) error {

	grmi.Log(user, "/services/om/implments/WOOperationYieldLst.service.impl.go", "UpdateWOOperationYieldLst", "修改多个WOOperationYieldLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewWOOperationYieldLstDAO(session, user.PlantNr, user.UserId)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.WorkOrderId, entity.OperationNr, entity.SplitNr, entity.ArtId)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
