// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package as

import (
	"LAPP_AS/grmi"
	svr "LAPP_AS/services/as"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 15:51:34
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块as路由分组
	grmi.RegisterRouteMapping("/as", func(party router.Party) {

		// Scheduler的路由组
		scheduler := party.Party("/scheduler")
		// Scheduler的服务实例
		var serviceOfScheduler = svr.NewSchedulerService()
		// Scheduler插入一条
		// RegisterInsertOneScheduler(scheduler, "/insertone", serviceOfScheduler.InsertOne)
		// Scheduler插入多条
		// RegisterInsertScheduler(scheduler, "/insert", serviceOfScheduler.Insert)
		// Scheduler删除一条
		// RegisterDeleteOneScheduler(scheduler, "/deleteone", serviceOfScheduler.DeleteOne)
		// Scheduler删除多条
		// RegisterDeleteScheduler(scheduler, "/delete", serviceOfScheduler.Delete)
		// Scheduler查询多条
		RegisterSelectScheduler(scheduler, "/selectlist", serviceOfScheduler.Select)
		// Scheduler查询多条并分页
		RegisterQueryScheduler(scheduler, "/query", serviceOfScheduler.SelectAndPaging)
		// Scheduler查询一条
		RegisterSelectOneScheduler(scheduler, "/selectone", serviceOfScheduler.SelectOne)
		// Scheduler修改一条
		// RegisterUpdateOneScheduler(scheduler, "/updateone", serviceOfScheduler.UpdateOne)
		// Scheduler修改多条
		// RegisterUpdateScheduler(scheduler, "/update", serviceOfScheduler.Update)
		RegisterCreateScheduler(scheduler, "/create", serviceOfScheduler.Create)

		// Tool的路由组
		tool := party.Party("/tool")
		// Tool的服务实例
		var serviceOfTool = svr.NewToolService()
		// Tool插入一条
		// RegisterInsertOneTool(tool, "/insertone", serviceOfTool.InsertOne)
		// Tool插入多条
		// RegisterInsertTool(tool, "/insert", serviceOfTool.Insert)
		// Tool删除一条
		// RegisterDeleteOneTool(tool, "/deleteone", serviceOfTool.DeleteOne)
		// Tool删除多条
		// RegisterDeleteTool(tool, "/delete", serviceOfTool.Delete)
		// Tool查询多条
		RegisterSelectTool(tool, "/selectlist", serviceOfTool.Select)
		// Tool查询多条并分页
		RegisterQueryTool(tool, "/query", serviceOfTool.SelectAndPaging)
		// Tool查询一条
		RegisterSelectOneTool(tool, "/selectone", serviceOfTool.SelectOne)
		// Tool修改一条
		// RegisterUpdateOneTool(tool, "/updateone", serviceOfTool.UpdateOne)
		// Tool修改多条
		// RegisterUpdateTool(tool, "/update", serviceOfTool.Update)

		// WorkOrder的路由组
		workorder := party.Party("/workorder")
		// WorkOrder的服务实例
		var serviceOfWorkOrder = svr.NewWorkOrderService()
		// WorkOrder插入一条
		// RegisterInsertOneWorkOrder(workorder, "/insertone", serviceOfWorkOrder.InsertOne)
		// WorkOrder插入多条
		// RegisterInsertWorkOrder(workorder, "/insert", serviceOfWorkOrder.Insert)
		// WorkOrder删除一条
		// RegisterDeleteOneWorkOrder(workorder, "/deleteone", serviceOfWorkOrder.DeleteOne)
		// WorkOrder删除多条
		// RegisterDeleteWorkOrder(workorder, "/delete", serviceOfWorkOrder.Delete)
		// WorkOrder查询多条
		RegisterSelectWorkOrder(workorder, "/selectlist", serviceOfWorkOrder.Select)
		// WorkOrder查询多条并分页
		RegisterQueryWorkOrder(workorder, "/query", serviceOfWorkOrder.SelectAndPaging)
		// WorkOrder查询一条
		RegisterSelectOneWorkOrder(workorder, "/selectone", serviceOfWorkOrder.SelectOne)
		// WorkOrder修改一条
		// RegisterUpdateOneWorkOrder(workorder, "/updateone", serviceOfWorkOrder.UpdateOne)
		// WorkOrder修改多条
		// RegisterUpdateWorkOrder(workorder, "/update", serviceOfWorkOrder.Update)

		// WorkPlace的路由组
		workplace := party.Party("/workplace")
		// WorkPlace的服务实例
		var serviceOfWorkPlace = svr.NewWorkPlaceService()
		// WorkPlace插入一条
		// RegisterInsertOneWorkPlace(workplace, "/insertone", serviceOfWorkPlace.InsertOne)
		// WorkPlace插入多条
		// RegisterInsertWorkPlace(workplace, "/insert", serviceOfWorkPlace.Insert)
		// WorkPlace删除一条
		// RegisterDeleteOneWorkPlace(workplace, "/deleteone", serviceOfWorkPlace.DeleteOne)
		// WorkPlace删除多条
		// RegisterDeleteWorkPlace(workplace, "/delete", serviceOfWorkPlace.Delete)
		// WorkPlace查询多条
		RegisterSelectWorkPlace(workplace, "/selectlist", serviceOfWorkPlace.Select)
		// WorkPlace查询多条并分页
		RegisterQueryWorkPlace(workplace, "/query", serviceOfWorkPlace.SelectAndPaging)
		// WorkPlace查询一条
		RegisterSelectOneWorkPlace(workplace, "/selectone", serviceOfWorkPlace.SelectOne)
		// WorkPlace修改一条
		// RegisterUpdateOneWorkPlace(workplace, "/updateone", serviceOfWorkPlace.UpdateOne)
		// WorkPlace修改多条
		// RegisterUpdateWorkPlace(workplace, "/update", serviceOfWorkPlace.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 15:51:34
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
