// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_AS/grmi"
	svr "LAPP_AS/services/base"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块base路由分组
	grmi.RegisterRouteMapping("/base", func(party router.Party) {

		// Article的路由组
		article := party.Party("/article")
		// Article的服务实例
		var serviceOfArticle = svr.NewArticleService()
		// Article插入一条
		// RegisterInsertOneArticle(article, "/insertone", serviceOfArticle.InsertOne)
		// Article插入多条
		// RegisterInsertArticle(article, "/insert", serviceOfArticle.Insert)
		// Article删除一条
		// RegisterDeleteOneArticle(article, "/deleteone", serviceOfArticle.DeleteOne)
		// Article删除多条
		// RegisterDeleteArticle(article, "/delete", serviceOfArticle.Delete)
		// Article查询多条
		RegisterSelectArticle(article, "/selectlist", serviceOfArticle.Select)
		// Article查询多条并分页
		RegisterQueryArticle(article, "/query", serviceOfArticle.SelectAndPaging)
		// Article查询一条
		RegisterSelectOneArticle(article, "/selectone", serviceOfArticle.SelectOne)
		// Article修改一条
		// RegisterUpdateOneArticle(article, "/updateone", serviceOfArticle.UpdateOne)
		// Article修改多条
		// RegisterUpdateArticle(article, "/update", serviceOfArticle.Update)

		// DayModel的路由组
		daymodel := party.Party("/daymodel")
		// DayModel的服务实例
		var serviceOfDayModel = svr.NewDayModelService()
		// DayModel插入一条
		// RegisterInsertOneDayModel(daymodel, "/insertone", serviceOfDayModel.InsertOne)
		// DayModel插入多条
		// RegisterInsertDayModel(daymodel, "/insert", serviceOfDayModel.Insert)
		// DayModel删除一条
		// RegisterDeleteOneDayModel(daymodel, "/deleteone", serviceOfDayModel.DeleteOne)
		// DayModel删除多条
		// RegisterDeleteDayModel(daymodel, "/delete", serviceOfDayModel.Delete)
		// DayModel查询多条
		RegisterSelectDayModel(daymodel, "/selectlist", serviceOfDayModel.Select)
		// DayModel查询多条并分页
		RegisterQueryDayModel(daymodel, "/query", serviceOfDayModel.SelectAndPaging)
		// DayModel查询一条
		RegisterSelectOneDayModel(daymodel, "/selectone", serviceOfDayModel.SelectOne)
		// DayModel修改一条
		// RegisterUpdateOneDayModel(daymodel, "/updateone", serviceOfDayModel.UpdateOne)
		// DayModel修改多条
		// RegisterUpdateDayModel(daymodel, "/update", serviceOfDayModel.Update)

		// Person的路由组
		person := party.Party("/person")
		// Person的服务实例
		var serviceOfPerson = svr.NewPersonService()
		// Person插入一条
		// RegisterInsertOnePerson(person, "/insertone", serviceOfPerson.InsertOne)
		// Person插入多条
		// RegisterInsertPerson(person, "/insert", serviceOfPerson.Insert)
		// Person删除一条
		// RegisterDeleteOnePerson(person, "/deleteone", serviceOfPerson.DeleteOne)
		// Person删除多条
		// RegisterDeletePerson(person, "/delete", serviceOfPerson.Delete)
		// Person查询多条
		RegisterSelectPerson(person, "/selectlist", serviceOfPerson.Select)
		// Person查询多条并分页
		RegisterQueryPerson(person, "/query", serviceOfPerson.SelectAndPaging)
		// Person查询一条
		RegisterSelectOnePerson(person, "/selectone", serviceOfPerson.SelectOne)
		// Person修改一条
		// RegisterUpdateOnePerson(person, "/updateone", serviceOfPerson.UpdateOne)
		// Person修改多条
		// RegisterUpdatePerson(person, "/update", serviceOfPerson.Update)

		// PersonSkilllst的路由组
		personskilllst := party.Party("/personskilllst")
		// PersonSkilllst的服务实例
		var serviceOfPersonSkilllst = svr.NewPersonSkilllstService()
		// PersonSkilllst插入一条
		// RegisterInsertOnePersonSkilllst(personskilllst, "/insertone", serviceOfPersonSkilllst.InsertOne)
		// PersonSkilllst插入多条
		// RegisterInsertPersonSkilllst(personskilllst, "/insert", serviceOfPersonSkilllst.Insert)
		// PersonSkilllst删除一条
		// RegisterDeleteOnePersonSkilllst(personskilllst, "/deleteone", serviceOfPersonSkilllst.DeleteOne)
		// PersonSkilllst删除多条
		// RegisterDeletePersonSkilllst(personskilllst, "/delete", serviceOfPersonSkilllst.Delete)
		// PersonSkilllst查询多条
		RegisterSelectPersonSkilllst(personskilllst, "/selectlist", serviceOfPersonSkilllst.Select)
		// PersonSkilllst查询多条并分页
		RegisterQueryPersonSkilllst(personskilllst, "/query", serviceOfPersonSkilllst.SelectAndPaging)
		// PersonSkilllst查询一条
		RegisterSelectOnePersonSkilllst(personskilllst, "/selectone", serviceOfPersonSkilllst.SelectOne)
		// PersonSkilllst修改一条
		// RegisterUpdateOnePersonSkilllst(personskilllst, "/updateone", serviceOfPersonSkilllst.UpdateOne)
		// PersonSkilllst修改多条
		// RegisterUpdatePersonSkilllst(personskilllst, "/update", serviceOfPersonSkilllst.Update)

		// SecondaryResource的路由组
		secondaryresource := party.Party("/secondaryresource")
		// SecondaryResource的服务实例
		var serviceOfSecondaryResource = svr.NewSecondaryResourceService()
		// SecondaryResource插入一条
		// RegisterInsertOneSecondaryResource(secondaryresource, "/insertone", serviceOfSecondaryResource.InsertOne)
		// SecondaryResource插入多条
		// RegisterInsertSecondaryResource(secondaryresource, "/insert", serviceOfSecondaryResource.Insert)
		// SecondaryResource删除一条
		// RegisterDeleteOneSecondaryResource(secondaryresource, "/deleteone", serviceOfSecondaryResource.DeleteOne)
		// SecondaryResource删除多条
		// RegisterDeleteSecondaryResource(secondaryresource, "/delete", serviceOfSecondaryResource.Delete)
		// SecondaryResource查询多条
		RegisterSelectSecondaryResource(secondaryresource, "/selectlist", serviceOfSecondaryResource.Select)
		// SecondaryResource查询多条并分页
		RegisterQuerySecondaryResource(secondaryresource, "/query", serviceOfSecondaryResource.SelectAndPaging)
		// SecondaryResource查询一条
		RegisterSelectOneSecondaryResource(secondaryresource, "/selectone", serviceOfSecondaryResource.SelectOne)
		// SecondaryResource修改一条
		// RegisterUpdateOneSecondaryResource(secondaryresource, "/updateone", serviceOfSecondaryResource.UpdateOne)
		// SecondaryResource修改多条
		// RegisterUpdateSecondaryResource(secondaryresource, "/update", serviceOfSecondaryResource.Update)

		// Skill的路由组
		skill := party.Party("/skill")
		// Skill的服务实例
		var serviceOfSkill = svr.NewSkillService()
		// Skill插入一条
		// RegisterInsertOneSkill(skill, "/insertone", serviceOfSkill.InsertOne)
		// Skill插入多条
		// RegisterInsertSkill(skill, "/insert", serviceOfSkill.Insert)
		// Skill删除一条
		// RegisterDeleteOneSkill(skill, "/deleteone", serviceOfSkill.DeleteOne)
		// Skill删除多条
		// RegisterDeleteSkill(skill, "/delete", serviceOfSkill.Delete)
		// Skill查询多条
		RegisterSelectSkill(skill, "/selectlist", serviceOfSkill.Select)
		// Skill查询多条并分页
		RegisterQuerySkill(skill, "/query", serviceOfSkill.SelectAndPaging)
		// Skill查询一条
		RegisterSelectOneSkill(skill, "/selectone", serviceOfSkill.SelectOne)
		// Skill修改一条
		// RegisterUpdateOneSkill(skill, "/updateone", serviceOfSkill.UpdateOne)
		// Skill修改多条
		// RegisterUpdateSkill(skill, "/update", serviceOfSkill.Update)

		// Tool的路由组
		tool := party.Party("/tool")
		// Tool的服务实例
		var serviceOfTool = svr.NewToolService()
		// Tool插入一条
		// RegisterInsertOneTool(tool, "/insertone", serviceOfTool.InsertOne)
		// Tool插入多条
		// RegisterInsertTool(tool, "/insert", serviceOfTool.Insert)
		// Tool删除一条
		// RegisterDeleteOneTool(tool, "/deleteone", serviceOfTool.DeleteOne)
		// Tool删除多条
		// RegisterDeleteTool(tool, "/delete", serviceOfTool.Delete)
		// Tool查询多条
		RegisterSelectTool(tool, "/selectlist", serviceOfTool.Select)
		// Tool查询多条并分页
		RegisterQueryTool(tool, "/query", serviceOfTool.SelectAndPaging)
		// Tool查询一条
		RegisterSelectOneTool(tool, "/selectone", serviceOfTool.SelectOne)
		// Tool修改一条
		// RegisterUpdateOneTool(tool, "/updateone", serviceOfTool.UpdateOne)
		// Tool修改多条
		// RegisterUpdateTool(tool, "/update", serviceOfTool.Update)

		// ToolGrp的路由组
		toolgrp := party.Party("/toolgrp")
		// ToolGrp的服务实例
		var serviceOfToolGrp = svr.NewToolGrpService()
		// ToolGrp插入一条
		// RegisterInsertOneToolGrp(toolgrp, "/insertone", serviceOfToolGrp.InsertOne)
		// ToolGrp插入多条
		// RegisterInsertToolGrp(toolgrp, "/insert", serviceOfToolGrp.Insert)
		// ToolGrp删除一条
		// RegisterDeleteOneToolGrp(toolgrp, "/deleteone", serviceOfToolGrp.DeleteOne)
		// ToolGrp删除多条
		// RegisterDeleteToolGrp(toolgrp, "/delete", serviceOfToolGrp.Delete)
		// ToolGrp查询多条
		RegisterSelectToolGrp(toolgrp, "/selectlist", serviceOfToolGrp.Select)
		// ToolGrp查询多条并分页
		RegisterQueryToolGrp(toolgrp, "/query", serviceOfToolGrp.SelectAndPaging)
		// ToolGrp查询一条
		RegisterSelectOneToolGrp(toolgrp, "/selectone", serviceOfToolGrp.SelectOne)
		// ToolGrp修改一条
		// RegisterUpdateOneToolGrp(toolgrp, "/updateone", serviceOfToolGrp.UpdateOne)
		// ToolGrp修改多条
		// RegisterUpdateToolGrp(toolgrp, "/update", serviceOfToolGrp.Update)

		// ToolUnAvailTimeLst的路由组
		toolunavailtimelst := party.Party("/toolunavailtimelst")
		// ToolUnAvailTimeLst的服务实例
		var serviceOfToolUnAvailTimeLst = svr.NewToolUnAvailTimeLstService()
		// ToolUnAvailTimeLst插入一条
		// RegisterInsertOneToolUnAvailTimeLst(toolunavailtimelst, "/insertone", serviceOfToolUnAvailTimeLst.InsertOne)
		// ToolUnAvailTimeLst插入多条
		// RegisterInsertToolUnAvailTimeLst(toolunavailtimelst, "/insert", serviceOfToolUnAvailTimeLst.Insert)
		// ToolUnAvailTimeLst删除一条
		// RegisterDeleteOneToolUnAvailTimeLst(toolunavailtimelst, "/deleteone", serviceOfToolUnAvailTimeLst.DeleteOne)
		// ToolUnAvailTimeLst删除多条
		// RegisterDeleteToolUnAvailTimeLst(toolunavailtimelst, "/delete", serviceOfToolUnAvailTimeLst.Delete)
		// ToolUnAvailTimeLst查询多条
		RegisterSelectToolUnAvailTimeLst(toolunavailtimelst, "/selectlist", serviceOfToolUnAvailTimeLst.Select)
		// ToolUnAvailTimeLst查询多条并分页
		RegisterQueryToolUnAvailTimeLst(toolunavailtimelst, "/query", serviceOfToolUnAvailTimeLst.SelectAndPaging)
		// ToolUnAvailTimeLst查询一条
		RegisterSelectOneToolUnAvailTimeLst(toolunavailtimelst, "/selectone", serviceOfToolUnAvailTimeLst.SelectOne)
		// ToolUnAvailTimeLst修改一条
		// RegisterUpdateOneToolUnAvailTimeLst(toolunavailtimelst, "/updateone", serviceOfToolUnAvailTimeLst.UpdateOne)
		// ToolUnAvailTimeLst修改多条
		// RegisterUpdateToolUnAvailTimeLst(toolunavailtimelst, "/update", serviceOfToolUnAvailTimeLst.Update)

		// WeekModel的路由组
		weekmodel := party.Party("/weekmodel")
		// WeekModel的服务实例
		var serviceOfWeekModel = svr.NewWeekModelService()
		// WeekModel插入一条
		// RegisterInsertOneWeekModel(weekmodel, "/insertone", serviceOfWeekModel.InsertOne)
		// WeekModel插入多条
		// RegisterInsertWeekModel(weekmodel, "/insert", serviceOfWeekModel.Insert)
		// WeekModel删除一条
		// RegisterDeleteOneWeekModel(weekmodel, "/deleteone", serviceOfWeekModel.DeleteOne)
		// WeekModel删除多条
		// RegisterDeleteWeekModel(weekmodel, "/delete", serviceOfWeekModel.Delete)
		// WeekModel查询多条
		RegisterSelectWeekModel(weekmodel, "/selectlist", serviceOfWeekModel.Select)
		// WeekModel查询多条并分页
		RegisterQueryWeekModel(weekmodel, "/query", serviceOfWeekModel.SelectAndPaging)
		// WeekModel查询一条
		RegisterSelectOneWeekModel(weekmodel, "/selectone", serviceOfWeekModel.SelectOne)
		// WeekModel修改一条
		// RegisterUpdateOneWeekModel(weekmodel, "/updateone", serviceOfWeekModel.UpdateOne)
		// WeekModel修改多条
		// RegisterUpdateWeekModel(weekmodel, "/update", serviceOfWeekModel.Update)

		// WeekModelLst的路由组
		weekmodellst := party.Party("/weekmodellst")
		// WeekModelLst的服务实例
		var serviceOfWeekModelLst = svr.NewWeekModelLstService()
		// WeekModelLst插入一条
		// RegisterInsertOneWeekModelLst(weekmodellst, "/insertone", serviceOfWeekModelLst.InsertOne)
		// WeekModelLst插入多条
		// RegisterInsertWeekModelLst(weekmodellst, "/insert", serviceOfWeekModelLst.Insert)
		// WeekModelLst删除一条
		// RegisterDeleteOneWeekModelLst(weekmodellst, "/deleteone", serviceOfWeekModelLst.DeleteOne)
		// WeekModelLst删除多条
		// RegisterDeleteWeekModelLst(weekmodellst, "/delete", serviceOfWeekModelLst.Delete)
		// WeekModelLst查询多条
		RegisterSelectWeekModelLst(weekmodellst, "/selectlist", serviceOfWeekModelLst.Select)
		// WeekModelLst查询多条并分页
		RegisterQueryWeekModelLst(weekmodellst, "/query", serviceOfWeekModelLst.SelectAndPaging)
		// WeekModelLst查询一条
		RegisterSelectOneWeekModelLst(weekmodellst, "/selectone", serviceOfWeekModelLst.SelectOne)
		// WeekModelLst修改一条
		// RegisterUpdateOneWeekModelLst(weekmodellst, "/updateone", serviceOfWeekModelLst.UpdateOne)
		// WeekModelLst修改多条
		// RegisterUpdateWeekModelLst(weekmodellst, "/update", serviceOfWeekModelLst.Update)

		// WorkCalendar的路由组
		workcalendar := party.Party("/workcalendar")
		// WorkCalendar的服务实例
		var serviceOfWorkCalendar = svr.NewWorkCalendarService()
		// WorkCalendar插入一条
		// RegisterInsertOneWorkCalendar(workcalendar, "/insertone", serviceOfWorkCalendar.InsertOne)
		// WorkCalendar插入多条
		// RegisterInsertWorkCalendar(workcalendar, "/insert", serviceOfWorkCalendar.Insert)
		// WorkCalendar删除一条
		// RegisterDeleteOneWorkCalendar(workcalendar, "/deleteone", serviceOfWorkCalendar.DeleteOne)
		// WorkCalendar删除多条
		// RegisterDeleteWorkCalendar(workcalendar, "/delete", serviceOfWorkCalendar.Delete)
		// WorkCalendar查询多条
		RegisterSelectWorkCalendar(workcalendar, "/selectlist", serviceOfWorkCalendar.Select)
		// WorkCalendar查询多条并分页
		RegisterQueryWorkCalendar(workcalendar, "/query", serviceOfWorkCalendar.SelectAndPaging)
		// WorkCalendar查询一条
		RegisterSelectOneWorkCalendar(workcalendar, "/selectone", serviceOfWorkCalendar.SelectOne)
		// WorkCalendar修改一条
		// RegisterUpdateOneWorkCalendar(workcalendar, "/updateone", serviceOfWorkCalendar.UpdateOne)
		// WorkCalendar修改多条
		// RegisterUpdateWorkCalendar(workcalendar, "/update", serviceOfWorkCalendar.Update)

		// WorkCalendarLst的路由组
		workcalendarlst := party.Party("/workcalendarlst")
		// WorkCalendarLst的服务实例
		var serviceOfWorkCalendarLst = svr.NewWorkCalendarLstService()
		// WorkCalendarLst插入一条
		// RegisterInsertOneWorkCalendarLst(workcalendarlst, "/insertone", serviceOfWorkCalendarLst.InsertOne)
		// WorkCalendarLst插入多条
		// RegisterInsertWorkCalendarLst(workcalendarlst, "/insert", serviceOfWorkCalendarLst.Insert)
		// WorkCalendarLst删除一条
		// RegisterDeleteOneWorkCalendarLst(workcalendarlst, "/deleteone", serviceOfWorkCalendarLst.DeleteOne)
		// WorkCalendarLst删除多条
		// RegisterDeleteWorkCalendarLst(workcalendarlst, "/delete", serviceOfWorkCalendarLst.Delete)
		// WorkCalendarLst查询多条
		RegisterSelectWorkCalendarLst(workcalendarlst, "/selectlist", serviceOfWorkCalendarLst.Select)
		// WorkCalendarLst查询多条并分页
		RegisterQueryWorkCalendarLst(workcalendarlst, "/query", serviceOfWorkCalendarLst.SelectAndPaging)
		// WorkCalendarLst查询一条
		RegisterSelectOneWorkCalendarLst(workcalendarlst, "/selectone", serviceOfWorkCalendarLst.SelectOne)
		// WorkCalendarLst修改一条
		// RegisterUpdateOneWorkCalendarLst(workcalendarlst, "/updateone", serviceOfWorkCalendarLst.UpdateOne)
		// WorkCalendarLst修改多条
		// RegisterUpdateWorkCalendarLst(workcalendarlst, "/update", serviceOfWorkCalendarLst.Update)

		// WorkPlace的路由组
		workplace := party.Party("/workplace")
		// WorkPlace的服务实例
		var serviceOfWorkPlace = svr.NewWorkPlaceService()
		// WorkPlace插入一条
		// RegisterInsertOneWorkPlace(workplace, "/insertone", serviceOfWorkPlace.InsertOne)
		// WorkPlace插入多条
		// RegisterInsertWorkPlace(workplace, "/insert", serviceOfWorkPlace.Insert)
		// WorkPlace删除一条
		// RegisterDeleteOneWorkPlace(workplace, "/deleteone", serviceOfWorkPlace.DeleteOne)
		// WorkPlace删除多条
		// RegisterDeleteWorkPlace(workplace, "/delete", serviceOfWorkPlace.Delete)
		// WorkPlace查询多条
		RegisterSelectWorkPlace(workplace, "/selectlist", serviceOfWorkPlace.Select)
		// WorkPlace查询多条并分页
		RegisterQueryWorkPlace(workplace, "/query", serviceOfWorkPlace.SelectAndPaging)
		// WorkPlace查询一条
		RegisterSelectOneWorkPlace(workplace, "/selectone", serviceOfWorkPlace.SelectOne)
		// WorkPlace修改一条
		// RegisterUpdateOneWorkPlace(workplace, "/updateone", serviceOfWorkPlace.UpdateOne)
		// WorkPlace修改多条
		// RegisterUpdateWorkPlace(workplace, "/update", serviceOfWorkPlace.Update)

		// WorkPlaceGrp的路由组
		workplacegrp := party.Party("/workplacegrp")
		// WorkPlaceGrp的服务实例
		var serviceOfWorkPlaceGrp = svr.NewWorkPlaceGrpService()
		// WorkPlaceGrp插入一条
		// RegisterInsertOneWorkPlaceGrp(workplacegrp, "/insertone", serviceOfWorkPlaceGrp.InsertOne)
		// WorkPlaceGrp插入多条
		// RegisterInsertWorkPlaceGrp(workplacegrp, "/insert", serviceOfWorkPlaceGrp.Insert)
		// WorkPlaceGrp删除一条
		// RegisterDeleteOneWorkPlaceGrp(workplacegrp, "/deleteone", serviceOfWorkPlaceGrp.DeleteOne)
		// WorkPlaceGrp删除多条
		// RegisterDeleteWorkPlaceGrp(workplacegrp, "/delete", serviceOfWorkPlaceGrp.Delete)
		// WorkPlaceGrp查询多条
		RegisterSelectWorkPlaceGrp(workplacegrp, "/selectlist", serviceOfWorkPlaceGrp.Select)
		// WorkPlaceGrp查询多条并分页
		RegisterQueryWorkPlaceGrp(workplacegrp, "/query", serviceOfWorkPlaceGrp.SelectAndPaging)
		// WorkPlaceGrp查询一条
		RegisterSelectOneWorkPlaceGrp(workplacegrp, "/selectone", serviceOfWorkPlaceGrp.SelectOne)
		// WorkPlaceGrp修改一条
		// RegisterUpdateOneWorkPlaceGrp(workplacegrp, "/updateone", serviceOfWorkPlaceGrp.UpdateOne)
		// WorkPlaceGrp修改多条
		// RegisterUpdateWorkPlaceGrp(workplacegrp, "/update", serviceOfWorkPlaceGrp.Update)

		// WorkPlaceStatus的路由组
		workplacestatus := party.Party("/workplacestatus")
		// WorkPlaceStatus的服务实例
		var serviceOfWorkPlaceStatus = svr.NewWorkPlaceStatusService()
		// WorkPlaceStatus插入一条
		// RegisterInsertOneWorkPlaceStatus(workplacestatus, "/insertone", serviceOfWorkPlaceStatus.InsertOne)
		// WorkPlaceStatus插入多条
		// RegisterInsertWorkPlaceStatus(workplacestatus, "/insert", serviceOfWorkPlaceStatus.Insert)
		// WorkPlaceStatus删除一条
		// RegisterDeleteOneWorkPlaceStatus(workplacestatus, "/deleteone", serviceOfWorkPlaceStatus.DeleteOne)
		// WorkPlaceStatus删除多条
		// RegisterDeleteWorkPlaceStatus(workplacestatus, "/delete", serviceOfWorkPlaceStatus.Delete)
		// WorkPlaceStatus查询多条
		RegisterSelectWorkPlaceStatus(workplacestatus, "/selectlist", serviceOfWorkPlaceStatus.Select)
		// WorkPlaceStatus查询多条并分页
		RegisterQueryWorkPlaceStatus(workplacestatus, "/query", serviceOfWorkPlaceStatus.SelectAndPaging)
		// WorkPlaceStatus查询一条
		RegisterSelectOneWorkPlaceStatus(workplacestatus, "/selectone", serviceOfWorkPlaceStatus.SelectOne)
		// WorkPlaceStatus修改一条
		// RegisterUpdateOneWorkPlaceStatus(workplacestatus, "/updateone", serviceOfWorkPlaceStatus.UpdateOne)
		// WorkPlaceStatus修改多条
		// RegisterUpdateWorkPlaceStatus(workplacestatus, "/update", serviceOfWorkPlaceStatus.Update)

		// WorkPlaceStatusRecLst的路由组
		workplacestatusreclst := party.Party("/workplacestatusreclst")
		// WorkPlaceStatusRecLst的服务实例
		var serviceOfWorkPlaceStatusRecLst = svr.NewWorkPlaceStatusRecLstService()
		// WorkPlaceStatusRecLst插入一条
		// RegisterInsertOneWorkPlaceStatusRecLst(workplacestatusreclst, "/insertone", serviceOfWorkPlaceStatusRecLst.InsertOne)
		// WorkPlaceStatusRecLst插入多条
		// RegisterInsertWorkPlaceStatusRecLst(workplacestatusreclst, "/insert", serviceOfWorkPlaceStatusRecLst.Insert)
		// WorkPlaceStatusRecLst删除一条
		// RegisterDeleteOneWorkPlaceStatusRecLst(workplacestatusreclst, "/deleteone", serviceOfWorkPlaceStatusRecLst.DeleteOne)
		// WorkPlaceStatusRecLst删除多条
		// RegisterDeleteWorkPlaceStatusRecLst(workplacestatusreclst, "/delete", serviceOfWorkPlaceStatusRecLst.Delete)
		// WorkPlaceStatusRecLst查询多条
		RegisterSelectWorkPlaceStatusRecLst(workplacestatusreclst, "/selectlist", serviceOfWorkPlaceStatusRecLst.Select)
		// WorkPlaceStatusRecLst查询多条并分页
		RegisterQueryWorkPlaceStatusRecLst(workplacestatusreclst, "/query", serviceOfWorkPlaceStatusRecLst.SelectAndPaging)
		// WorkPlaceStatusRecLst查询一条
		RegisterSelectOneWorkPlaceStatusRecLst(workplacestatusreclst, "/selectone", serviceOfWorkPlaceStatusRecLst.SelectOne)
		// WorkPlaceStatusRecLst修改一条
		// RegisterUpdateOneWorkPlaceStatusRecLst(workplacestatusreclst, "/updateone", serviceOfWorkPlaceStatusRecLst.UpdateOne)
		// WorkPlaceStatusRecLst修改多条
		// RegisterUpdateWorkPlaceStatusRecLst(workplacestatusreclst, "/update", serviceOfWorkPlaceStatusRecLst.Update)

		// WorkShift的路由组
		workshift := party.Party("/workshift")
		// WorkShift的服务实例
		var serviceOfWorkShift = svr.NewWorkShiftService()
		// WorkShift插入一条
		// RegisterInsertOneWorkShift(workshift, "/insertone", serviceOfWorkShift.InsertOne)
		// WorkShift插入多条
		// RegisterInsertWorkShift(workshift, "/insert", serviceOfWorkShift.Insert)
		// WorkShift删除一条
		// RegisterDeleteOneWorkShift(workshift, "/deleteone", serviceOfWorkShift.DeleteOne)
		// WorkShift删除多条
		// RegisterDeleteWorkShift(workshift, "/delete", serviceOfWorkShift.Delete)
		// WorkShift查询多条
		RegisterSelectWorkShift(workshift, "/selectlist", serviceOfWorkShift.Select)
		// WorkShift查询多条并分页
		RegisterQueryWorkShift(workshift, "/query", serviceOfWorkShift.SelectAndPaging)
		// WorkShift查询一条
		RegisterSelectOneWorkShift(workshift, "/selectone", serviceOfWorkShift.SelectOne)
		// WorkShift修改一条
		// RegisterUpdateOneWorkShift(workshift, "/updateone", serviceOfWorkShift.UpdateOne)
		// WorkShift修改多条
		// RegisterUpdateWorkShift(workshift, "/update", serviceOfWorkShift.Update)

		// WorkShiftEffLst的路由组
		workshiftefflst := party.Party("/workshiftefflst")
		// WorkShiftEffLst的服务实例
		var serviceOfWorkShiftEffLst = svr.NewWorkShiftEffLstService()
		// WorkShiftEffLst插入一条
		// RegisterInsertOneWorkShiftEffLst(workshiftefflst, "/insertone", serviceOfWorkShiftEffLst.InsertOne)
		// WorkShiftEffLst插入多条
		// RegisterInsertWorkShiftEffLst(workshiftefflst, "/insert", serviceOfWorkShiftEffLst.Insert)
		// WorkShiftEffLst删除一条
		// RegisterDeleteOneWorkShiftEffLst(workshiftefflst, "/deleteone", serviceOfWorkShiftEffLst.DeleteOne)
		// WorkShiftEffLst删除多条
		// RegisterDeleteWorkShiftEffLst(workshiftefflst, "/delete", serviceOfWorkShiftEffLst.Delete)
		// WorkShiftEffLst查询多条
		RegisterSelectWorkShiftEffLst(workshiftefflst, "/selectlist", serviceOfWorkShiftEffLst.Select)
		// WorkShiftEffLst查询多条并分页
		RegisterQueryWorkShiftEffLst(workshiftefflst, "/query", serviceOfWorkShiftEffLst.SelectAndPaging)
		// WorkShiftEffLst查询一条
		RegisterSelectOneWorkShiftEffLst(workshiftefflst, "/selectone", serviceOfWorkShiftEffLst.SelectOne)
		// WorkShiftEffLst修改一条
		// RegisterUpdateOneWorkShiftEffLst(workshiftefflst, "/updateone", serviceOfWorkShiftEffLst.UpdateOne)
		// WorkShiftEffLst修改多条
		// RegisterUpdateWorkShiftEffLst(workshiftefflst, "/update", serviceOfWorkShiftEffLst.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
