// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_AS/grmi"
	svr "LAPP_AS/services/om"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块om路由分组
	grmi.RegisterRouteMapping("/om", func(party router.Party) {

		// OrderNetWork的路由组
		ordernetwork := party.Party("/ordernetwork")
		// OrderNetWork的服务实例
		var serviceOfOrderNetWork = svr.NewOrderNetWorkService()
		// OrderNetWork插入一条
		// RegisterInsertOneOrderNetWork(ordernetwork, "/insertone", serviceOfOrderNetWork.InsertOne)
		// OrderNetWork插入多条
		// RegisterInsertOrderNetWork(ordernetwork, "/insert", serviceOfOrderNetWork.Insert)
		// OrderNetWork删除一条
		// RegisterDeleteOneOrderNetWork(ordernetwork, "/deleteone", serviceOfOrderNetWork.DeleteOne)
		// OrderNetWork删除多条
		// RegisterDeleteOrderNetWork(ordernetwork, "/delete", serviceOfOrderNetWork.Delete)
		// OrderNetWork查询多条
		RegisterSelectOrderNetWork(ordernetwork, "/selectlist", serviceOfOrderNetWork.Select)
		// OrderNetWork查询多条并分页
		RegisterQueryOrderNetWork(ordernetwork, "/query", serviceOfOrderNetWork.SelectAndPaging)
		// OrderNetWork查询一条
		RegisterSelectOneOrderNetWork(ordernetwork, "/selectone", serviceOfOrderNetWork.SelectOne)
		// OrderNetWork修改一条
		// RegisterUpdateOneOrderNetWork(ordernetwork, "/updateone", serviceOfOrderNetWork.UpdateOne)
		// OrderNetWork修改多条
		// RegisterUpdateOrderNetWork(ordernetwork, "/update", serviceOfOrderNetWork.Update)

		// WOOperation的路由组
		wooperation := party.Party("/wooperation")
		// WOOperation的服务实例
		var serviceOfWOOperation = svr.NewWOOperationService()
		// WOOperation插入一条
		// RegisterInsertOneWOOperation(wooperation, "/insertone", serviceOfWOOperation.InsertOne)
		// WOOperation插入多条
		// RegisterInsertWOOperation(wooperation, "/insert", serviceOfWOOperation.Insert)
		// WOOperation删除一条
		// RegisterDeleteOneWOOperation(wooperation, "/deleteone", serviceOfWOOperation.DeleteOne)
		// WOOperation删除多条
		// RegisterDeleteWOOperation(wooperation, "/delete", serviceOfWOOperation.Delete)
		// WOOperation查询多条
		RegisterSelectWOOperation(wooperation, "/selectlist", serviceOfWOOperation.Select)
		// WOOperation查询多条并分页
		RegisterQueryWOOperation(wooperation, "/query", serviceOfWOOperation.SelectAndPaging)
		// WOOperation查询一条
		RegisterSelectOneWOOperation(wooperation, "/selectone", serviceOfWOOperation.SelectOne)
		// WOOperation修改一条
		// RegisterUpdateOneWOOperation(wooperation, "/updateone", serviceOfWOOperation.UpdateOne)
		// WOOperation修改多条
		// RegisterUpdateWOOperation(wooperation, "/update", serviceOfWOOperation.Update)

		// WOOperationArtLst的路由组
		wooperationartlst := party.Party("/wooperationartlst")
		// WOOperationArtLst的服务实例
		var serviceOfWOOperationArtLst = svr.NewWOOperationArtLstService()
		// WOOperationArtLst插入一条
		// RegisterInsertOneWOOperationArtLst(wooperationartlst, "/insertone", serviceOfWOOperationArtLst.InsertOne)
		// WOOperationArtLst插入多条
		// RegisterInsertWOOperationArtLst(wooperationartlst, "/insert", serviceOfWOOperationArtLst.Insert)
		// WOOperationArtLst删除一条
		// RegisterDeleteOneWOOperationArtLst(wooperationartlst, "/deleteone", serviceOfWOOperationArtLst.DeleteOne)
		// WOOperationArtLst删除多条
		// RegisterDeleteWOOperationArtLst(wooperationartlst, "/delete", serviceOfWOOperationArtLst.Delete)
		// WOOperationArtLst查询多条
		RegisterSelectWOOperationArtLst(wooperationartlst, "/selectlist", serviceOfWOOperationArtLst.Select)
		// WOOperationArtLst查询多条并分页
		RegisterQueryWOOperationArtLst(wooperationartlst, "/query", serviceOfWOOperationArtLst.SelectAndPaging)
		// WOOperationArtLst查询一条
		RegisterSelectOneWOOperationArtLst(wooperationartlst, "/selectone", serviceOfWOOperationArtLst.SelectOne)
		// WOOperationArtLst修改一条
		// RegisterUpdateOneWOOperationArtLst(wooperationartlst, "/updateone", serviceOfWOOperationArtLst.UpdateOne)
		// WOOperationArtLst修改多条
		// RegisterUpdateWOOperationArtLst(wooperationartlst, "/update", serviceOfWOOperationArtLst.Update)

		// WOOperationArtQtyRecLst的路由组
		wooperationartqtyreclst := party.Party("/wooperationartqtyreclst")
		// WOOperationArtQtyRecLst的服务实例
		var serviceOfWOOperationArtQtyRecLst = svr.NewWOOperationArtQtyRecLstService()
		// WOOperationArtQtyRecLst插入一条
		// RegisterInsertOneWOOperationArtQtyRecLst(wooperationartqtyreclst, "/insertone", serviceOfWOOperationArtQtyRecLst.InsertOne)
		// WOOperationArtQtyRecLst插入多条
		// RegisterInsertWOOperationArtQtyRecLst(wooperationartqtyreclst, "/insert", serviceOfWOOperationArtQtyRecLst.Insert)
		// WOOperationArtQtyRecLst删除一条
		// RegisterDeleteOneWOOperationArtQtyRecLst(wooperationartqtyreclst, "/deleteone", serviceOfWOOperationArtQtyRecLst.DeleteOne)
		// WOOperationArtQtyRecLst删除多条
		// RegisterDeleteWOOperationArtQtyRecLst(wooperationartqtyreclst, "/delete", serviceOfWOOperationArtQtyRecLst.Delete)
		// WOOperationArtQtyRecLst查询多条
		RegisterSelectWOOperationArtQtyRecLst(wooperationartqtyreclst, "/selectlist", serviceOfWOOperationArtQtyRecLst.Select)
		// WOOperationArtQtyRecLst查询多条并分页
		RegisterQueryWOOperationArtQtyRecLst(wooperationartqtyreclst, "/query", serviceOfWOOperationArtQtyRecLst.SelectAndPaging)
		// WOOperationArtQtyRecLst查询一条
		RegisterSelectOneWOOperationArtQtyRecLst(wooperationartqtyreclst, "/selectone", serviceOfWOOperationArtQtyRecLst.SelectOne)
		// WOOperationArtQtyRecLst修改一条
		// RegisterUpdateOneWOOperationArtQtyRecLst(wooperationartqtyreclst, "/updateone", serviceOfWOOperationArtQtyRecLst.UpdateOne)
		// WOOperationArtQtyRecLst修改多条
		// RegisterUpdateWOOperationArtQtyRecLst(wooperationartqtyreclst, "/update", serviceOfWOOperationArtQtyRecLst.Update)

		// WOOperationQty的路由组
		wooperationqty := party.Party("/wooperationqty")
		// WOOperationQty的服务实例
		var serviceOfWOOperationQty = svr.NewWOOperationQtyService()
		// WOOperationQty插入一条
		// RegisterInsertOneWOOperationQty(wooperationqty, "/insertone", serviceOfWOOperationQty.InsertOne)
		// WOOperationQty插入多条
		// RegisterInsertWOOperationQty(wooperationqty, "/insert", serviceOfWOOperationQty.Insert)
		// WOOperationQty删除一条
		// RegisterDeleteOneWOOperationQty(wooperationqty, "/deleteone", serviceOfWOOperationQty.DeleteOne)
		// WOOperationQty删除多条
		// RegisterDeleteWOOperationQty(wooperationqty, "/delete", serviceOfWOOperationQty.Delete)
		// WOOperationQty查询多条
		RegisterSelectWOOperationQty(wooperationqty, "/selectlist", serviceOfWOOperationQty.Select)
		// WOOperationQty查询多条并分页
		RegisterQueryWOOperationQty(wooperationqty, "/query", serviceOfWOOperationQty.SelectAndPaging)
		// WOOperationQty查询一条
		RegisterSelectOneWOOperationQty(wooperationqty, "/selectone", serviceOfWOOperationQty.SelectOne)
		// WOOperationQty修改一条
		// RegisterUpdateOneWOOperationQty(wooperationqty, "/updateone", serviceOfWOOperationQty.UpdateOne)
		// WOOperationQty修改多条
		// RegisterUpdateWOOperationQty(wooperationqty, "/update", serviceOfWOOperationQty.Update)

		// WOOperationQtyRecLst的路由组
		wooperationqtyreclst := party.Party("/wooperationqtyreclst")
		// WOOperationQtyRecLst的服务实例
		var serviceOfWOOperationQtyRecLst = svr.NewWOOperationQtyRecLstService()
		// WOOperationQtyRecLst插入一条
		// RegisterInsertOneWOOperationQtyRecLst(wooperationqtyreclst, "/insertone", serviceOfWOOperationQtyRecLst.InsertOne)
		// WOOperationQtyRecLst插入多条
		// RegisterInsertWOOperationQtyRecLst(wooperationqtyreclst, "/insert", serviceOfWOOperationQtyRecLst.Insert)
		// WOOperationQtyRecLst删除一条
		// RegisterDeleteOneWOOperationQtyRecLst(wooperationqtyreclst, "/deleteone", serviceOfWOOperationQtyRecLst.DeleteOne)
		// WOOperationQtyRecLst删除多条
		// RegisterDeleteWOOperationQtyRecLst(wooperationqtyreclst, "/delete", serviceOfWOOperationQtyRecLst.Delete)
		// WOOperationQtyRecLst查询多条
		RegisterSelectWOOperationQtyRecLst(wooperationqtyreclst, "/selectlist", serviceOfWOOperationQtyRecLst.Select)
		// WOOperationQtyRecLst查询多条并分页
		RegisterQueryWOOperationQtyRecLst(wooperationqtyreclst, "/query", serviceOfWOOperationQtyRecLst.SelectAndPaging)
		// WOOperationQtyRecLst查询一条
		RegisterSelectOneWOOperationQtyRecLst(wooperationqtyreclst, "/selectone", serviceOfWOOperationQtyRecLst.SelectOne)
		// WOOperationQtyRecLst修改一条
		// RegisterUpdateOneWOOperationQtyRecLst(wooperationqtyreclst, "/updateone", serviceOfWOOperationQtyRecLst.UpdateOne)
		// WOOperationQtyRecLst修改多条
		// RegisterUpdateWOOperationQtyRecLst(wooperationqtyreclst, "/update", serviceOfWOOperationQtyRecLst.Update)

		// WOOperationResourceLst的路由组
		wooperationresourcelst := party.Party("/wooperationresourcelst")
		// WOOperationResourceLst的服务实例
		var serviceOfWOOperationResourceLst = svr.NewWOOperationResourceLstService()
		// WOOperationResourceLst插入一条
		// RegisterInsertOneWOOperationResourceLst(wooperationresourcelst, "/insertone", serviceOfWOOperationResourceLst.InsertOne)
		// WOOperationResourceLst插入多条
		// RegisterInsertWOOperationResourceLst(wooperationresourcelst, "/insert", serviceOfWOOperationResourceLst.Insert)
		// WOOperationResourceLst删除一条
		// RegisterDeleteOneWOOperationResourceLst(wooperationresourcelst, "/deleteone", serviceOfWOOperationResourceLst.DeleteOne)
		// WOOperationResourceLst删除多条
		// RegisterDeleteWOOperationResourceLst(wooperationresourcelst, "/delete", serviceOfWOOperationResourceLst.Delete)
		// WOOperationResourceLst查询多条
		RegisterSelectWOOperationResourceLst(wooperationresourcelst, "/selectlist", serviceOfWOOperationResourceLst.Select)
		// WOOperationResourceLst查询多条并分页
		RegisterQueryWOOperationResourceLst(wooperationresourcelst, "/query", serviceOfWOOperationResourceLst.SelectAndPaging)
		// WOOperationResourceLst查询一条
		RegisterSelectOneWOOperationResourceLst(wooperationresourcelst, "/selectone", serviceOfWOOperationResourceLst.SelectOne)
		// WOOperationResourceLst修改一条
		// RegisterUpdateOneWOOperationResourceLst(wooperationresourcelst, "/updateone", serviceOfWOOperationResourceLst.UpdateOne)
		// WOOperationResourceLst修改多条
		// RegisterUpdateWOOperationResourceLst(wooperationresourcelst, "/update", serviceOfWOOperationResourceLst.Update)

		// WOOperationSkillLst的路由组
		wooperationskilllst := party.Party("/wooperationskilllst")
		// WOOperationSkillLst的服务实例
		var serviceOfWOOperationSkillLst = svr.NewWOOperationSkillLstService()
		// WOOperationSkillLst插入一条
		// RegisterInsertOneWOOperationSkillLst(wooperationskilllst, "/insertone", serviceOfWOOperationSkillLst.InsertOne)
		// WOOperationSkillLst插入多条
		// RegisterInsertWOOperationSkillLst(wooperationskilllst, "/insert", serviceOfWOOperationSkillLst.Insert)
		// WOOperationSkillLst删除一条
		// RegisterDeleteOneWOOperationSkillLst(wooperationskilllst, "/deleteone", serviceOfWOOperationSkillLst.DeleteOne)
		// WOOperationSkillLst删除多条
		// RegisterDeleteWOOperationSkillLst(wooperationskilllst, "/delete", serviceOfWOOperationSkillLst.Delete)
		// WOOperationSkillLst查询多条
		RegisterSelectWOOperationSkillLst(wooperationskilllst, "/selectlist", serviceOfWOOperationSkillLst.Select)
		// WOOperationSkillLst查询多条并分页
		RegisterQueryWOOperationSkillLst(wooperationskilllst, "/query", serviceOfWOOperationSkillLst.SelectAndPaging)
		// WOOperationSkillLst查询一条
		RegisterSelectOneWOOperationSkillLst(wooperationskilllst, "/selectone", serviceOfWOOperationSkillLst.SelectOne)
		// WOOperationSkillLst修改一条
		// RegisterUpdateOneWOOperationSkillLst(wooperationskilllst, "/updateone", serviceOfWOOperationSkillLst.UpdateOne)
		// WOOperationSkillLst修改多条
		// RegisterUpdateWOOperationSkillLst(wooperationskilllst, "/update", serviceOfWOOperationSkillLst.Update)

		// WOOperationStatus的路由组
		wooperationstatus := party.Party("/wooperationstatus")
		// WOOperationStatus的服务实例
		var serviceOfWOOperationStatus = svr.NewWOOperationStatusService()
		// WOOperationStatus插入一条
		// RegisterInsertOneWOOperationStatus(wooperationstatus, "/insertone", serviceOfWOOperationStatus.InsertOne)
		// WOOperationStatus插入多条
		// RegisterInsertWOOperationStatus(wooperationstatus, "/insert", serviceOfWOOperationStatus.Insert)
		// WOOperationStatus删除一条
		// RegisterDeleteOneWOOperationStatus(wooperationstatus, "/deleteone", serviceOfWOOperationStatus.DeleteOne)
		// WOOperationStatus删除多条
		// RegisterDeleteWOOperationStatus(wooperationstatus, "/delete", serviceOfWOOperationStatus.Delete)
		// WOOperationStatus查询多条
		RegisterSelectWOOperationStatus(wooperationstatus, "/selectlist", serviceOfWOOperationStatus.Select)
		// WOOperationStatus查询多条并分页
		RegisterQueryWOOperationStatus(wooperationstatus, "/query", serviceOfWOOperationStatus.SelectAndPaging)
		// WOOperationStatus查询一条
		RegisterSelectOneWOOperationStatus(wooperationstatus, "/selectone", serviceOfWOOperationStatus.SelectOne)
		// WOOperationStatus修改一条
		// RegisterUpdateOneWOOperationStatus(wooperationstatus, "/updateone", serviceOfWOOperationStatus.UpdateOne)
		// WOOperationStatus修改多条
		// RegisterUpdateWOOperationStatus(wooperationstatus, "/update", serviceOfWOOperationStatus.Update)

		// WOOperationStatusRecLst的路由组
		wooperationstatusreclst := party.Party("/wooperationstatusreclst")
		// WOOperationStatusRecLst的服务实例
		var serviceOfWOOperationStatusRecLst = svr.NewWOOperationStatusRecLstService()
		// WOOperationStatusRecLst插入一条
		// RegisterInsertOneWOOperationStatusRecLst(wooperationstatusreclst, "/insertone", serviceOfWOOperationStatusRecLst.InsertOne)
		// WOOperationStatusRecLst插入多条
		// RegisterInsertWOOperationStatusRecLst(wooperationstatusreclst, "/insert", serviceOfWOOperationStatusRecLst.Insert)
		// WOOperationStatusRecLst删除一条
		// RegisterDeleteOneWOOperationStatusRecLst(wooperationstatusreclst, "/deleteone", serviceOfWOOperationStatusRecLst.DeleteOne)
		// WOOperationStatusRecLst删除多条
		// RegisterDeleteWOOperationStatusRecLst(wooperationstatusreclst, "/delete", serviceOfWOOperationStatusRecLst.Delete)
		// WOOperationStatusRecLst查询多条
		RegisterSelectWOOperationStatusRecLst(wooperationstatusreclst, "/selectlist", serviceOfWOOperationStatusRecLst.Select)
		// WOOperationStatusRecLst查询多条并分页
		RegisterQueryWOOperationStatusRecLst(wooperationstatusreclst, "/query", serviceOfWOOperationStatusRecLst.SelectAndPaging)
		// WOOperationStatusRecLst查询一条
		RegisterSelectOneWOOperationStatusRecLst(wooperationstatusreclst, "/selectone", serviceOfWOOperationStatusRecLst.SelectOne)
		// WOOperationStatusRecLst修改一条
		// RegisterUpdateOneWOOperationStatusRecLst(wooperationstatusreclst, "/updateone", serviceOfWOOperationStatusRecLst.UpdateOne)
		// WOOperationStatusRecLst修改多条
		// RegisterUpdateWOOperationStatusRecLst(wooperationstatusreclst, "/update", serviceOfWOOperationStatusRecLst.Update)

		// WOOperationToolLst的路由组
		wooperationtoollst := party.Party("/wooperationtoollst")
		// WOOperationToolLst的服务实例
		var serviceOfWOOperationToolLst = svr.NewWOOperationToolLstService()
		// WOOperationToolLst插入一条
		// RegisterInsertOneWOOperationToolLst(wooperationtoollst, "/insertone", serviceOfWOOperationToolLst.InsertOne)
		// WOOperationToolLst插入多条
		// RegisterInsertWOOperationToolLst(wooperationtoollst, "/insert", serviceOfWOOperationToolLst.Insert)
		// WOOperationToolLst删除一条
		// RegisterDeleteOneWOOperationToolLst(wooperationtoollst, "/deleteone", serviceOfWOOperationToolLst.DeleteOne)
		// WOOperationToolLst删除多条
		// RegisterDeleteWOOperationToolLst(wooperationtoollst, "/delete", serviceOfWOOperationToolLst.Delete)
		// WOOperationToolLst查询多条
		RegisterSelectWOOperationToolLst(wooperationtoollst, "/selectlist", serviceOfWOOperationToolLst.Select)
		// WOOperationToolLst查询多条并分页
		RegisterQueryWOOperationToolLst(wooperationtoollst, "/query", serviceOfWOOperationToolLst.SelectAndPaging)
		// WOOperationToolLst查询一条
		RegisterSelectOneWOOperationToolLst(wooperationtoollst, "/selectone", serviceOfWOOperationToolLst.SelectOne)
		// WOOperationToolLst修改一条
		// RegisterUpdateOneWOOperationToolLst(wooperationtoollst, "/updateone", serviceOfWOOperationToolLst.UpdateOne)
		// WOOperationToolLst修改多条
		// RegisterUpdateWOOperationToolLst(wooperationtoollst, "/update", serviceOfWOOperationToolLst.Update)

		// WOOperationYieldLst的路由组
		wooperationyieldlst := party.Party("/wooperationyieldlst")
		// WOOperationYieldLst的服务实例
		var serviceOfWOOperationYieldLst = svr.NewWOOperationYieldLstService()
		// WOOperationYieldLst插入一条
		// RegisterInsertOneWOOperationYieldLst(wooperationyieldlst, "/insertone", serviceOfWOOperationYieldLst.InsertOne)
		// WOOperationYieldLst插入多条
		// RegisterInsertWOOperationYieldLst(wooperationyieldlst, "/insert", serviceOfWOOperationYieldLst.Insert)
		// WOOperationYieldLst删除一条
		// RegisterDeleteOneWOOperationYieldLst(wooperationyieldlst, "/deleteone", serviceOfWOOperationYieldLst.DeleteOne)
		// WOOperationYieldLst删除多条
		// RegisterDeleteWOOperationYieldLst(wooperationyieldlst, "/delete", serviceOfWOOperationYieldLst.Delete)
		// WOOperationYieldLst查询多条
		RegisterSelectWOOperationYieldLst(wooperationyieldlst, "/selectlist", serviceOfWOOperationYieldLst.Select)
		// WOOperationYieldLst查询多条并分页
		RegisterQueryWOOperationYieldLst(wooperationyieldlst, "/query", serviceOfWOOperationYieldLst.SelectAndPaging)
		// WOOperationYieldLst查询一条
		RegisterSelectOneWOOperationYieldLst(wooperationyieldlst, "/selectone", serviceOfWOOperationYieldLst.SelectOne)
		// WOOperationYieldLst修改一条
		// RegisterUpdateOneWOOperationYieldLst(wooperationyieldlst, "/updateone", serviceOfWOOperationYieldLst.UpdateOne)
		// WOOperationYieldLst修改多条
		// RegisterUpdateWOOperationYieldLst(wooperationyieldlst, "/update", serviceOfWOOperationYieldLst.Update)

		// WorkOrder的路由组
		workorder := party.Party("/workorder")
		// WorkOrder的服务实例
		var serviceOfWorkOrder = svr.NewWorkOrderService()
		// WorkOrder插入一条
		// RegisterInsertOneWorkOrder(workorder, "/insertone", serviceOfWorkOrder.InsertOne)
		// WorkOrder插入多条
		// RegisterInsertWorkOrder(workorder, "/insert", serviceOfWorkOrder.Insert)
		// WorkOrder删除一条
		// RegisterDeleteOneWorkOrder(workorder, "/deleteone", serviceOfWorkOrder.DeleteOne)
		// WorkOrder删除多条
		// RegisterDeleteWorkOrder(workorder, "/delete", serviceOfWorkOrder.Delete)
		// WorkOrder查询多条
		RegisterSelectWorkOrder(workorder, "/selectlist", serviceOfWorkOrder.Select)
		// WorkOrder查询多条并分页
		RegisterQueryWorkOrder(workorder, "/query", serviceOfWorkOrder.SelectAndPaging)
		// WorkOrder查询一条
		RegisterSelectOneWorkOrder(workorder, "/selectone", serviceOfWorkOrder.SelectOne)
		// WorkOrder修改一条
		// RegisterUpdateOneWorkOrder(workorder, "/updateone", serviceOfWorkOrder.UpdateOne)
		// WorkOrder修改多条
		// RegisterUpdateWorkOrder(workorder, "/update", serviceOfWorkOrder.Update)

		// WorkOrderQty的路由组
		workorderqty := party.Party("/workorderqty")
		// WorkOrderQty的服务实例
		var serviceOfWorkOrderQty = svr.NewWorkOrderQtyService()
		// WorkOrderQty插入一条
		// RegisterInsertOneWorkOrderQty(workorderqty, "/insertone", serviceOfWorkOrderQty.InsertOne)
		// WorkOrderQty插入多条
		// RegisterInsertWorkOrderQty(workorderqty, "/insert", serviceOfWorkOrderQty.Insert)
		// WorkOrderQty删除一条
		// RegisterDeleteOneWorkOrderQty(workorderqty, "/deleteone", serviceOfWorkOrderQty.DeleteOne)
		// WorkOrderQty删除多条
		// RegisterDeleteWorkOrderQty(workorderqty, "/delete", serviceOfWorkOrderQty.Delete)
		// WorkOrderQty查询多条
		RegisterSelectWorkOrderQty(workorderqty, "/selectlist", serviceOfWorkOrderQty.Select)
		// WorkOrderQty查询多条并分页
		RegisterQueryWorkOrderQty(workorderqty, "/query", serviceOfWorkOrderQty.SelectAndPaging)
		// WorkOrderQty查询一条
		RegisterSelectOneWorkOrderQty(workorderqty, "/selectone", serviceOfWorkOrderQty.SelectOne)
		// WorkOrderQty修改一条
		// RegisterUpdateOneWorkOrderQty(workorderqty, "/updateone", serviceOfWorkOrderQty.UpdateOne)
		// WorkOrderQty修改多条
		// RegisterUpdateWorkOrderQty(workorderqty, "/update", serviceOfWorkOrderQty.Update)

		// WorkOrderQtyRecLst的路由组
		workorderqtyreclst := party.Party("/workorderqtyreclst")
		// WorkOrderQtyRecLst的服务实例
		var serviceOfWorkOrderQtyRecLst = svr.NewWorkOrderQtyRecLstService()
		// WorkOrderQtyRecLst插入一条
		// RegisterInsertOneWorkOrderQtyRecLst(workorderqtyreclst, "/insertone", serviceOfWorkOrderQtyRecLst.InsertOne)
		// WorkOrderQtyRecLst插入多条
		// RegisterInsertWorkOrderQtyRecLst(workorderqtyreclst, "/insert", serviceOfWorkOrderQtyRecLst.Insert)
		// WorkOrderQtyRecLst删除一条
		// RegisterDeleteOneWorkOrderQtyRecLst(workorderqtyreclst, "/deleteone", serviceOfWorkOrderQtyRecLst.DeleteOne)
		// WorkOrderQtyRecLst删除多条
		// RegisterDeleteWorkOrderQtyRecLst(workorderqtyreclst, "/delete", serviceOfWorkOrderQtyRecLst.Delete)
		// WorkOrderQtyRecLst查询多条
		RegisterSelectWorkOrderQtyRecLst(workorderqtyreclst, "/selectlist", serviceOfWorkOrderQtyRecLst.Select)
		// WorkOrderQtyRecLst查询多条并分页
		RegisterQueryWorkOrderQtyRecLst(workorderqtyreclst, "/query", serviceOfWorkOrderQtyRecLst.SelectAndPaging)
		// WorkOrderQtyRecLst查询一条
		RegisterSelectOneWorkOrderQtyRecLst(workorderqtyreclst, "/selectone", serviceOfWorkOrderQtyRecLst.SelectOne)
		// WorkOrderQtyRecLst修改一条
		// RegisterUpdateOneWorkOrderQtyRecLst(workorderqtyreclst, "/updateone", serviceOfWorkOrderQtyRecLst.UpdateOne)
		// WorkOrderQtyRecLst修改多条
		// RegisterUpdateWorkOrderQtyRecLst(workorderqtyreclst, "/update", serviceOfWorkOrderQtyRecLst.Update)

		// WorkOrderStatus的路由组
		workorderstatus := party.Party("/workorderstatus")
		// WorkOrderStatus的服务实例
		var serviceOfWorkOrderStatus = svr.NewWorkOrderStatusService()
		// WorkOrderStatus插入一条
		// RegisterInsertOneWorkOrderStatus(workorderstatus, "/insertone", serviceOfWorkOrderStatus.InsertOne)
		// WorkOrderStatus插入多条
		// RegisterInsertWorkOrderStatus(workorderstatus, "/insert", serviceOfWorkOrderStatus.Insert)
		// WorkOrderStatus删除一条
		// RegisterDeleteOneWorkOrderStatus(workorderstatus, "/deleteone", serviceOfWorkOrderStatus.DeleteOne)
		// WorkOrderStatus删除多条
		// RegisterDeleteWorkOrderStatus(workorderstatus, "/delete", serviceOfWorkOrderStatus.Delete)
		// WorkOrderStatus查询多条
		RegisterSelectWorkOrderStatus(workorderstatus, "/selectlist", serviceOfWorkOrderStatus.Select)
		// WorkOrderStatus查询多条并分页
		RegisterQueryWorkOrderStatus(workorderstatus, "/query", serviceOfWorkOrderStatus.SelectAndPaging)
		// WorkOrderStatus查询一条
		RegisterSelectOneWorkOrderStatus(workorderstatus, "/selectone", serviceOfWorkOrderStatus.SelectOne)
		// WorkOrderStatus修改一条
		// RegisterUpdateOneWorkOrderStatus(workorderstatus, "/updateone", serviceOfWorkOrderStatus.UpdateOne)
		// WorkOrderStatus修改多条
		// RegisterUpdateWorkOrderStatus(workorderstatus, "/update", serviceOfWorkOrderStatus.Update)

		// WorkOrderStatusRecLst的路由组
		workorderstatusreclst := party.Party("/workorderstatusreclst")
		// WorkOrderStatusRecLst的服务实例
		var serviceOfWorkOrderStatusRecLst = svr.NewWorkOrderStatusRecLstService()
		// WorkOrderStatusRecLst插入一条
		// RegisterInsertOneWorkOrderStatusRecLst(workorderstatusreclst, "/insertone", serviceOfWorkOrderStatusRecLst.InsertOne)
		// WorkOrderStatusRecLst插入多条
		// RegisterInsertWorkOrderStatusRecLst(workorderstatusreclst, "/insert", serviceOfWorkOrderStatusRecLst.Insert)
		// WorkOrderStatusRecLst删除一条
		// RegisterDeleteOneWorkOrderStatusRecLst(workorderstatusreclst, "/deleteone", serviceOfWorkOrderStatusRecLst.DeleteOne)
		// WorkOrderStatusRecLst删除多条
		// RegisterDeleteWorkOrderStatusRecLst(workorderstatusreclst, "/delete", serviceOfWorkOrderStatusRecLst.Delete)
		// WorkOrderStatusRecLst查询多条
		RegisterSelectWorkOrderStatusRecLst(workorderstatusreclst, "/selectlist", serviceOfWorkOrderStatusRecLst.Select)
		// WorkOrderStatusRecLst查询多条并分页
		RegisterQueryWorkOrderStatusRecLst(workorderstatusreclst, "/query", serviceOfWorkOrderStatusRecLst.SelectAndPaging)
		// WorkOrderStatusRecLst查询一条
		RegisterSelectOneWorkOrderStatusRecLst(workorderstatusreclst, "/selectone", serviceOfWorkOrderStatusRecLst.SelectOne)
		// WorkOrderStatusRecLst修改一条
		// RegisterUpdateOneWorkOrderStatusRecLst(workorderstatusreclst, "/updateone", serviceOfWorkOrderStatusRecLst.UpdateOne)
		// WorkOrderStatusRecLst修改多条
		// RegisterUpdateWorkOrderStatusRecLst(workorderstatusreclst, "/update", serviceOfWorkOrderStatusRecLst.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
