// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pdc

import (
	"LAPP_AS/grmi"
	svr "LAPP_AS/services/pdc"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块pdc路由分组
	grmi.RegisterRouteMapping("/pdc", func(party router.Party) {

		// ReportRecord的路由组
		reportrecord := party.Party("/reportrecord")
		// ReportRecord的服务实例
		var serviceOfReportRecord = svr.NewReportRecordService()
		// ReportRecord插入一条
		// RegisterInsertOneReportRecord(reportrecord, "/insertone", serviceOfReportRecord.InsertOne)
		// ReportRecord插入多条
		// RegisterInsertReportRecord(reportrecord, "/insert", serviceOfReportRecord.Insert)
		// ReportRecord删除一条
		// RegisterDeleteOneReportRecord(reportrecord, "/deleteone", serviceOfReportRecord.DeleteOne)
		// ReportRecord删除多条
		// RegisterDeleteReportRecord(reportrecord, "/delete", serviceOfReportRecord.Delete)
		// ReportRecord查询多条
		RegisterSelectReportRecord(reportrecord, "/selectlist", serviceOfReportRecord.Select)
		// ReportRecord查询多条并分页
		RegisterQueryReportRecord(reportrecord, "/query", serviceOfReportRecord.SelectAndPaging)
		// ReportRecord查询一条
		RegisterSelectOneReportRecord(reportrecord, "/selectone", serviceOfReportRecord.SelectOne)
		// ReportRecord修改一条
		// RegisterUpdateOneReportRecord(reportrecord, "/updateone", serviceOfReportRecord.UpdateOne)
		// ReportRecord修改多条
		// RegisterUpdateReportRecord(reportrecord, "/update", serviceOfReportRecord.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
