// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_AS/grmi"
	svr "LAPP_AS/services/wm"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块wm路由分组
	grmi.RegisterRouteMapping("/wm", func(party router.Party) {

		// Stock的路由组
		stock := party.Party("/stock")
		// Stock的服务实例
		var serviceOfStock = svr.NewStockService()
		// Stock插入一条
		// RegisterInsertOneStock(stock, "/insertone", serviceOfStock.InsertOne)
		// Stock插入多条
		// RegisterInsertStock(stock, "/insert", serviceOfStock.Insert)
		// Stock删除一条
		// RegisterDeleteOneStock(stock, "/deleteone", serviceOfStock.DeleteOne)
		// Stock删除多条
		// RegisterDeleteStock(stock, "/delete", serviceOfStock.Delete)
		// Stock查询多条
		RegisterSelectStock(stock, "/selectlist", serviceOfStock.Select)
		// Stock查询多条并分页
		RegisterQueryStock(stock, "/query", serviceOfStock.SelectAndPaging)
		// Stock查询一条
		RegisterSelectOneStock(stock, "/selectone", serviceOfStock.SelectOne)
		// Stock修改一条
		// RegisterUpdateOneStock(stock, "/updateone", serviceOfStock.UpdateOne)
		// Stock修改多条
		// RegisterUpdateStock(stock, "/update", serviceOfStock.Update)

		// TransitStock的路由组
		transitstock := party.Party("/transitstock")
		// TransitStock的服务实例
		var serviceOfTransitStock = svr.NewTransitStockService()
		// TransitStock插入一条
		// RegisterInsertOneTransitStock(transitstock, "/insertone", serviceOfTransitStock.InsertOne)
		// TransitStock插入多条
		// RegisterInsertTransitStock(transitstock, "/insert", serviceOfTransitStock.Insert)
		// TransitStock删除一条
		// RegisterDeleteOneTransitStock(transitstock, "/deleteone", serviceOfTransitStock.DeleteOne)
		// TransitStock删除多条
		// RegisterDeleteTransitStock(transitstock, "/delete", serviceOfTransitStock.Delete)
		// TransitStock查询多条
		RegisterSelectTransitStock(transitstock, "/selectlist", serviceOfTransitStock.Select)
		// TransitStock查询多条并分页
		RegisterQueryTransitStock(transitstock, "/query", serviceOfTransitStock.SelectAndPaging)
		// TransitStock查询一条
		RegisterSelectOneTransitStock(transitstock, "/selectone", serviceOfTransitStock.SelectOne)
		// TransitStock修改一条
		// RegisterUpdateOneTransitStock(transitstock, "/updateone", serviceOfTransitStock.UpdateOne)
		// TransitStock修改多条
		// RegisterUpdateTransitStock(transitstock, "/update", serviceOfTransitStock.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 14:06:46
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
